# Réunion Nounous

* Date : Jeudi 10 Septembre 2009
* Lieu : PdJ
* Début : 19h30
* Fin : 21h35

## Présents

* Antoine Durand-Gasselin
* Johan Grande
* Larissa Viraphong
* Michel Blockelet
* Nicolas Dandrimont
* Olivier Huber
* Raphaël Bonaque
* Raphaël Cauderlier
* Stéphane Glondu
* Xavier Lagorce

## Ordre du jour

### Présentations

Elles sont faites et mamie a trouvé le bon serveur sur lequel se connecter :)

### Bilan du câblage du bâtiment G (espérons...)

* Le bâtiment G a été relié avec un câble RJ-45 de 153m de long
* Les switchs ont étés installés

La solution qui a été mise en place (le long RJ-45) ne marche pas très
bien. Il faudra réussir à pérenniser la connexion, vu qu'il faudra
nécessairement
remettre une fibre optique. L'ancienne semble vraiment en trop mauvais état pour
être utilisée. Il faut budgétiser le sertissage d'une nouvelle fibre, ainsi que
sa pose (sachant que nous pourrions effectuer nous-même la pose de la fibre).

À priori, une bobine de 250m de fibre coûterait dans les 500 euros.
L'utilisation de la fibre enroulée actuellement au -1I n'est pas envisageable,
vu qu'elle est enroulée depuis plus de 5 ans.

La fibre connectant le 0G et le 2G est cassée dans la baie de brassage, il
faudrait
voir à la faire ressertir. Il faudrait aussi voir si sa réparation ne pourrait
pas
être prise en charge par une des (certainement nombreuses) assurances du CROUS
pour
les travaux dans le bâtiment G.

Connexion actuelle au G :
batj-319 <-- 153m (cuivre) --> batg-025 0G <-> 4G en fibre et 4G <-> 2G en
cuivre (cat6).

Restrictions :
La télé est bloquée depuis batj-3. Il faut dire aux câbleurs de prévenir les
gens
pour utiliser leur connexion avec parcimonie (quand elle fonctionne).

### Recrutement - lancement des séminaires

Olivier propose que les apprentis fassent toujours les séminaires, mais qu'une
nounou soit responsable de suivre le travail de l'apprenti et puisse servir de
backup en cas de problème.

Une autre idée serait de faire des revues de code Python, afin d'améliorer les
scripts en douceur et de permettre la transition.

Les nounous se chargent de mettre au point une liste de séminaires qui sera
présentée à la prochaine internounou.

### État des lieux des serveurs

#### rouge : MX principal, serveur smtp et serveur mailman

(anciennement wiki, serveur web, serveur jabber, serveur imap, serveur pop,
serveur ntp,
serveur de kernel panic, serveur DHCP)

Il faut mettre fin à ses jours sous peu. Ne reste plus qu'à migrer les
services mail.

#### zamok

Serveur des adhérents, serveur des pages perso, de l'intranet, délivrance des
mails (procmail, forward, etc.)

Une proposition serait d'acheter un nouveau "gros" serveur (fz), sur lequel
seraient
rassemblés les services concernant les adhérents. Vu que les tests d'autres
solutions de virtualisation n'ont pas été probants, ce serveur serait placé sous
xen. Il faut budgetiser cette solution.

#### pegase

Ne fait plus rien, est éteint, mais fonctionne (et a plein de disques). Est une
vieille brouette.

#### babar

Serveur de sauvegarde et de vidéosurveillance, fonctionne, est à jour.

#### sila

Serveur sFTP. Un peu ancestral, un peu de brique et de broque. Il faudrait
demander
un devis pour :

* Un serveur 1U ou 2U avec des gros disques
* Un serveur 1U avec des petits disques et des gros disques pour la baie

Et choisir la solution la moins chère, pour remplacer sila en tant que FTP.

#### ragnarok

Serveur sous OpenBSD, serveur radius, routeur wifi, serveur web de
wifi.crans.org

Il faut le mettre à jour vers OpenBSD 4.5 (comme tous les 6 mois). Peut-être que
les fuites mémoire de {freeradius, Patches OpenBSD} seront corrigées.

#### Serveurs de la ferme

* vache (mdr) (dns de la zone TV) -- It works!™
* canard
* oie
* lapin
* dindon (prove)

Les serveurs fonctionnent, mais le multiswitch a cramé. On récupère la TNT en
splittant le flux. On peut racheter un multiswitch, ce qui nous permettra de
multiplier le nombre de cartes satellite.

#### fy

* Dom0 Xen

#### fx

* Serveur NFS (homes + /usr/scripts)

#### sable

Le proxy, serveur DNS principal, serveur DHCP, serveur radius, serveur de la
connexion gratuite.

Il fonctionne malgré la grosse mise à jour de porc vers squid3.

### Investissements potentiels

* Nouveau contact pour Synaps : Nicolas va reprendre le contact avec Anne.

#### ftp

Cf. ci-dessus.

#### fz/zamok++

Le système imaginé avant les vacances, lors des problèmes d'I/O Xen, était
d'acheter
un serveur qui monterait les /homes, et les partagerait directement à tous les
services qui en auraient besoin (i.e. les services adhérents de zamok + owl +
niomniom).

Vu que les problèmes de Xen semblent réglés, placer les services des adhérents
sur un DomU serait envisageable. On va voir avec Anne ce qu'elle propose comme
bête de course.

#### monitoring

Il faudrait budgetiser un serveur "peu puissant" pour effectuer le monitoring
séparément (munin, autostatus, ...). On pourrait y ajouter pour pas cher une
centralisation des syslog (à l'aide de rsyslog).

#### Fibre

Cf. ci-dessus

#### Reboot de bornes

Voté au précédent CA (500€ de budget pour 10 modules) et cf ci-dessous.

#### Bornes wifi

Voté au précédent CA (500€ pour $n$ bornes de test)

### Projets en cours

#### bcfg2

Système de gestion de configuration des serveurs. Permet de centraliser les
configurations redondantes.
Comme puppet ou cfengine (mais en python).

Le passage de bcfg2 0.9 à 1.x nécessite python 2.6 (ou un module SSL backporté).

Il faudrait unfucker la configuration.

#### Reboot de bornes

It works, bitches !™

Un des modules a été détourné pour remplacer vigile pour la gestion du digicode.

Il faudra des doigts pour réaliser les 100 modules.

#### Impression

L'imprimante en elle-même marche très bien (beaucoup mieux que l'ancienne), mais
les drivers de canon chient.

Par ailleurs, toutes les ~100 pages imprimées, si elles restent dans le bac,
l'imprimante s'arrête et attend que quelqu'un les enlève du bac de sortie.
C'est très gênant pour les grosses impressions de rentrée.

#### Intranet

C'est de l'AJAX avec !MochiKit. Adg s'est un peu penché dessus, et apparemment
il va réussir à le migrer vers !CherryPy de lenny.

#### Téléphonie

Vous allez être mis en communication avec votre correspondant, merci de
patienter quelques mois...

Le Crous a demandé à son FAI de s'occuper aussi d'un service de téléphonie sur
IP, et voudrait qu'on ne soit pas en concurrence avec lui.

### Questions diverses

#### Répartition des clés

Michel aimerait avoir une clé du 0B. Il faut que Jérémie rende ses clefs du
Cr@ns.

En particulier pour les clés du 4J, il faudrait essayer de savoir exactement où
sont les clés, et récupérer celles des gens qui ne les utilisent plus...
Comme tous les ans ?

Xavier pense développer, sur la même base que les modules de reboot et le
digicode, des serrures RFID qui remplaceraient avantageusement les 16 clés du 4J
qui se baladent dans la nature (et même, peut-être, des autres locaux
associatifs ?).

#### Crous

Des discussions ont eu lieu avec le FAI, qui accepte de nous laisser gérer le
routage, le filtrage et les logs.
