# Réunion

* Date : 10 Décembre 2009
* Lieu : Pavillon des Jardins
* Début : 19h30
* Fin : 21h35

## Présents

* Antoine Durand-Gasselin
* Dominique Delport
* Jean-Benoist Leger
* Jérémie Dimino
* Nicolas Dandrimont
* Olivier Iffrig
* Stéphane Glondu
* Xavier Lagorce

## Ordre du jour

### Connexion de fortune bâtiment G

#### Couverture WiFi

Actuellement le batiment G est arrosé sur sa façade est. Il devrait
être possible de s'arranger avec le dpt info pour installer des bornes
au Cournot. Il faudrait étudier l'installation au sol de bornes avec des
antennes Hyperlink (17dB, 120°, aucun bruit à l'arrière).

Les vitres du bâtiment G atténuent beaucoup le signal (quid de demander
aux adhérents d'installer une antenne ?).

Avec la solution actuelle basée sur des linksys WRT54g on ne peut
dépasser une quinzaine de clients par bornes. Les bornes bullet
d'ubiquiti peuvent être un nouveau matériel intéressant vers lequel se
tourner. Possibilité de pont wifi, support de beaucoup plus de clients.
Ces bornes, nouvelles, utilisent le 802.11n, et permettent d'atteindre
300Mb/s réel. Les prix sont tout à fait corrects (50-100€).

D'un point de vue légal, il devrait être tout à fait possible de
respecter les réglementations en vigueur en matière d'émission
hertzienne.

### Installation de fz

Utilisation d'une solution de containers (OpenVZ ou vserver...).

Il y aurait :

* Un container pour les adhérents
* Un container pour les services mail
* ...

### Déconnexion mail invalide

Michel n'est pas là pour nous en parler...

### Modifications de la base LDAP

#### Autorisation de la modification d'attributs dans le sous-arbre des
adhérents

Ceci permettrait de modifier plus proprement les données de l'adhérent
depuis l'intranet, qui n'aurait plus à être lancé en tant que respbats.

Il faut étudier comment faire ça proprement avec les ACLs de LDAP (création
d'une vue spécifique).

#### IPv6

On donne un /64 par machine (fixe) inscrite dans la base LDAP. Ceci sera fait à
la demande (champ booléen dans la machine).

Le préfixe IPv6 est donné comme suit :
[préfixe crans (n bits)]:[mid (p bits)]::/64

#### Cleanup Type de connexion

Ce champ permettrait de formaliser le champ "Connexion Gratuite / Appartements
ENS / ..." qui est un peu mis de manière anarchique dans la base.

#### Compte wiki

Ceci permettrait de lier le compte Cr@ns et le compte Wiki, en permettant
l'authentification directe via LDAP en gardant le WikiNom associé.

On n'imposerait pas de compte Cr@ns pour le compte Wiki.

#### VLAN Custom

Permettrait de stocker les VLAN a ajouter sur une prise pour la DSI... On va
stocker ça dans annuaire.py.

### Modules de détection de mouvements

Il faut des paires de mains pour peupler les cartes. Ça serait à commencer à la
fin de la semaine prochaine (mercredi ou jeudi), et à finir avant dimanche
prochain.

### Questions diverses

N/A
