# Réunion Nounous

* Date : Jeudi 26 janvier 2012
* Lieu : Condorcet
* Début : 19h16
* Fin : 20h35

# Présents

* Anne Cazalet
* Nicolas Dandrimont
* Olivier Iffrig
* Steven Masfaraud
* Sylvain Boilard

##== Présent par internet

## * Aurore Moisy-Mabille
## * Daniel Stan
## * Raphaël Cauderlier
## * Valentin Samir
## * Vincent Le Gallic
## * Yann Duplouy

# Ordre du jour

## Achat de matériel

Anne Cazalet nous fait ses propositions sur les éléments que nous avions
demandé.

### Imprimante

Anne Cazalet nous propose une imprimante HP CM6030 ou CM6040 en achat comptant,
et va aussi communiquer nos coordonnées à un prestataire de leasing avec des
imprimantes Xerox (Alex Panahi), afin que nous puissions comparer les deux
propositions.
L'imprimante coûterait environ 9000€ (prix public).

### Onduleur

L'onduleur est en fin de garantie, Anne va nous envoyer une proposition pour
la prolonger, c'est à dire ajouter un an + un an, et par la suite envisager de
passer
sous un contrat de maintenance pièces - sans batteries - incluses.

### Carte de contrôle pour la baie de disques

Le contrôleur de la baie de disques est obsolète. On peut éventuellement
en trouver un reconditionné ou en pièces détachées.

Une autre solution serait de changer le chassis, et d'utiliser des nouveaux
contrôleurs. Les disques sont heureusement compatibles. Coût public 6550 euros
contrôleurs inclus (prévoir une remise ~20%), sans prendre en compte un échange
éventuel (d'après une simulation, environ 600 euros seraient récupérables).

### Backbone

Pas de proposition mise à jour, nous avions envisagé un chassis 5406, avec deux
modules

* 12 ports SFP + 12 ports Ethernet 10/100/1000
* 24 ports 10/100/1000 Ethernet

## Imprimante

Il faudrait se débarrasser de Print Platinium. On pourrait ensuite acheter une
imprimante ou en louer une selon l'offre qui va nous être proposée.

À considérer :

* Délai d'intervention du technicien
* Durée du contrat, évidemment
* Durée de vie des consommables (nb de pages par cartouche)
* Tarifs si la consommation prévue est dépassée ?
* Considérations sur le prix des impressions (A4 vs. A3, noir vs. couleur)

Dans tous les cas, il faut relancer le technicien de PP pour le changement des
tambours... Il faut poker PEB.

## Caméra

La nouvelle caméra a été installée, et l'assureur du CROUS n'envisage pas de
rembourser l'ancienne, parce qu'apparemment le plastique ne rouille pas quand il
se fait inonder.

## Serveur de logs

Le disque de ragnarok semble mort, il faut un volontaire pour aller acheter deux
disques SATA de capacité respectable (≥ 1 To) chez nos amis de Montgallet, afin
de mettre en place un RAID et de pouvoir voir venir. PEB s'était porté
volontaire
sur IRC.

Il faut absolument penser aux backups sur ce serveur. La procédure complète
d'installation pourra être détaillée sur le wiki.

## Bug tracker

Olivier a fait en sorte que les mails envoyés vers xxx@bugs.crans.org arrivent
sur le serveur idoine. Il y a manifestement un bug dans la config de postfix.

Il faudrait reprendre la configuration mail qui a été faite pour
tracker.crans.org, qui fait en sorte que les mails y arrivent.

Il faut définir quels "packages" on met en place, et quels mainteneurs (même si
juste roots@crans.org semble adapté).

Nicolas envisageait quelque chose du style un package par serveur + un package
par service important (WiFi, impression, intranet, ...). Olivier est d'accord.

Il y a plusieurs aspects sur lesquels on pourrait travailler:

* Un suivi des mails envoyés par monit, munin, ... pour les transformer en
  tickets.
* Un bot IRC pour notifier des bugs, et enregistrer une partie des
  conversations.

## Séminaires

Vu la grande présence apprentiesque à cette réunion, les séminaires sont
relancés pour dans 10 jours.

## Bornes Wifi

Il faut que les nouvelles bornes soient déployées le 15 mars. À faire :

* Finalisation de la config
* Chiffrage et vote pour le budget du projet
* Déploiement

### Redémarrage des bornes

Certaines bornes ont besoin d'un redémarrage de temps en temps. On va mettre en
place un script qui les redémarre une fois par jour, par exemple
à (3 + rand(0, 1))h du matin.

# Questions diverses

## Quid d'un web-nntp

## Nit m'a montré ce qu'il avait fait, c'est cool.

Yann et Valentin ont l'air motivés pour mettre une solution en place.
