# Réunion Nounous

* Date : Jeudi 29 mars 2012
* Lieu : Condorcet
* Début : 19h17
* Fin : 20h13

# Présents

* Aurore Moisy-Mabille
* Aurore Quelennec
* Daniel Stan
* Nicolas Dandrimont
* Olivier Iffrig
* Pierre-Elliott Bécue
* Sylvain Boilard
* Vanessa Verbeke

# Ordre du jour

## État du 2B

Le 2B a été nettoyé par Morgane et Daniel. Le RTC souhaite que le 2B reste
dans cet état là. Pour le reste, il faudra lui redonner un coup de propre
régulièrement.

Le matériel a été rangé (organisation qui invite de nouvelles suggestions)

## Debbugs

Debbugs a été mis en place. Site web: http://bugs.crans.org/ (pour soumettre un
bug: submit@bugs.crans.org). C'est initialement le tracker de bugs de debian,
et chaque paquet debian a sa liste de bugs. Comme le crans n'a pas de paquets
au sens debianesque, on pourrait créer plusieurs "paquets" crans correspondant
à des services. Actuellement, on a un seul paquet "crans".

On pourrait organiser les paquets par services.

Noms ASCII.

* scripts
* ldap_crans
* mail
* firewall
* intranet (+ impression)
* intranet2
* zamok (= accès shell, pages perso)
* wifi
* wiki
* cablage (= prises défectueuses)
* tele
* crans (= autres)

### Possibilités d'évolution

* Bot IRC (création de tickets directement sur irc)
* Frontend web de soumission utilisable par les adhérents (sur l'intranet2)

## Matériel

### Wifi

Harry, Daniel et Olivier ont parcouru les bâtiments pour trouver où câbler les
bornes. Le compte-rendu sera mis sur le wiki à l'occasion. En bref, une pico
par étage au A, B, C. H, I, J, dans les locaux à côté de la cage d'ascenseur.

Dans le G, il y a des placards où on peut faire passer des câbles entre les
étages.
L'idée est de placer une nano par étage, en alternance (en terme de position).

Le M n'a pas été fait, car on avait pas le badge, mais vu les tests le 16
février, il faut une nano par aile, donc deux par étage.
Attention aux 100m de câble, et à sertir les paires dans le bon sens...

Les longueurs de câbles seront données sur le wiki. (Daniel s'en charge)

On pourra réfléchir, une fois l'installation faite, à prêter des bornes à des
adhérents pour "patcher" la couverture dans leur chambre, sous caution.

### Onduleurs

Olivier s'occupe de faire faire des devis pour remplacer les onduleurs morts
(0A, 2B, -1I), Pierre-Elliott et Nicolas s'occuperont d'aller voir les onduleurs
pour savoir lesquels marchent.

### Clim 0B

Pierre-Elliott s'occupe d'appeler LTC pour faire la révision annuelle de la
clim.

## Mises à jour

### TV

La version en production de MuMuDVB était bugguée avec les nouvelles versions de
VLC. Olivier a effectué la mise à jour du binaire sur les serveurs cet
après-midi.

### Wiki

Adg est prêt à encadrer un apprenti pour faire cette mise à jour, avec le
prérequis
que l'apprenti en question soit un peu culturé sur apache2 (i.e. sache déjà
lancer moinmoin avec wsgi). Vanessa va voir avec Steven s'il veut toujours
s'en occuper, sinon, Pierre-Elliott est volontaire (après ses écrits du concours
3A).Steven est volontaire (il va envoyer un mail à Olivier).

## Séances de travail

### Ragnarok

Ragnarok est désormais bien monté (deux disques durs d'1To en RAID1). Olivier
se propose d'encadrer le workshop, qui aura lieu le 7 avril.

### Nagios

Quand le workshop monitoring a été effectué, on a parlé de re-tester Nagios
Pierre-Elliott est motivé pour lire les 400 pages de doc de Nagios et prendre
des notes sur le wiki. Ensuite, on fera une réunion pour en parler, et on
essaiera de faire un workshop avec une Mamie pour trouver comment implémenter
au mieux le module.

### Wiki

Il faut le réordonner tant d'un point de vue "VieCrans" que du point de vue
technique. Pour la partie VieCrans, Morgane était volontaire pour diriger cette
réorganisation.

Il faudrait faire plusieurs workshops pour cela. Nicolas demande si ça vaut le
coup de dédier du temps à faire ''uniquement'' ça.

On pourrait essayer d'appliquer un tag sur les pages pour dater la dernière fois
que la véracité des informations a été vérifiée.

## Questions diverses

### Spoofing adresses mac

Un certain nombre d'adhérents reçoivent des mails d'avertissement pour upload
sans avoir été connectés depuis la veille. Pierre-Elliott va dresser une petite
liste
des adhérents qui prétendent cela, et on essayera de voir si une prise commune à
tous ces adhérents est identifiable.
