# Réunion Nounous

* Date : Jeudi 12 avril 2012
* Lieu : Condorcet
* Début : 19h13
* Fin : 20h10

# Présents

* Aurore Moisy-Mabille
* Daniel Stan
* Olivier Iffrig
* Pauline Pommeret
* Pierre-Elliott Bécue
* Raphaël Cauderlier
* Steven Masfaraud
* Sylvain Boilard
* Yann Duplouy

# Ordre du jour

## Ragnarok

Nicolas, Olivier, Pierre-Elliott et Yann ont mis en place un serveur rsyslog (en
RELP) sur ragnarok qui enregistre ses logs dans une base PostgreSQL en local.
Ça fonctionne, on a mis whatsupdoc en client pour l'instant, il faut voir ce
qu'on fait des serveurs qui utilisent syslog-ng. On va regarder un peu plus en
détails, mais la solution qui semble la plus pratique est de remplacer
syslog-ng
par rsyslog.

Il faut aussi documenter le tout sur le wiki.

## Niomniom

Steven et Antoine Durand-Gasselin ont travaillé là dessus lundi, pour voir ce
qu'il se passait, et si ça marchait. A priori, tout fonctionne, la mise à jour
est prévue samedi à 14h, les pages devraient rester consultables (duplicata des
pages le temps de la MaJ). La modification de la page d'accueil du wiki est à
faire le plus tôt possible pour prévenir tout le monde.

Steven songe à faire une doc pour la MàJ du wiki qui soit plus accessible à tous
que celle d'Antoine pour les novices.

## Serveurs de virtualisation

### Fy

Après la mise à jour du wiki, il n'y aura plus aucun domU sur Fy (les domu
étant migrés pendant la mise à jour). Il faudra donc le mettre à jour, on peut
le faire dans la foulée. On pourra alors penser à répartir la charge des domU
entre les deux serveurs Fy et Fz.
Raphaël rappelle l'idée de fournir des domU aux clubs. Fz avait à l'origine été
acheté dans le but d'héberger un nouveau serveur pour les adhérents.

### Fx

Lors d'une précédente internounou, Nicolas avait souligné que Fx est
sous-utilisé, et qu'il faudrait songer à utiliser une machine free comme NFS, et
du coup employer Fx soit comme un nouveau zamok, soit comme un serveur pour les
clubs.

### Machines pour clubs

Raphaël propose de créer une interface pour les clubs leur permettant de créer
une machine virtuelle qu'ils pourraient utiliser à l'envi. On pourra rediscuter
de ce point après les mises à jour.

## Wifi

Les nouvelles bornes sont arrivées. Il faut des personnes pour poser les bornes
et effectuer les cablâges nécessaires.
Il faut s'assurer d'avoir un firmware fonctionnel. La connexion sous windows
avec ce firmware semble problématique en l'état. Une étude est à mener sur ce
point.

Liste des bâtiments où on pourrait intervenir sans délai :

* Le A (en partie)
* Le B
* Le C
* La Med
* La Kfet

On récupèrera à l'occasion d'anciennes bornes, que l'on peut mettre à
disposition
des anciens adhérents qui veulent les placer dans leur chambre pour patcher la
connexion wifi, vu qu'elles font switch, il n'y a pas de problème niveau
câblage.
On demandera une caution qui sera fixée par le C.A. Il faudra déménager la borne
dans la chambre de l'adhérent, et donner l'accès au VLAN wifi.

Vu le nombre de bornes, il est nécessaire de former des gens pour flasher les
bornes.
Les bornes seront flashées lorsque des gens sachant le faire seront à
disposition,
du coup toute personne intéressée pourra profiter d'un éventuel workshop. (sans
que cela n'entraîne une affluence trop forte au 2B). On fera des wokshops durant
le WE, vendredi soir, samedi selon l'avancement des mises à jour, dimanche.

## Liste de compétences des apprentis

Vanessa a demandé que l'on établisse une liste de compétences nécessaires aux
apprentis pour qu'ils puissent éventuellement devenir nounous. Ce point avait
déjà été traité, et un premier document avait été créé, il a été mis à jour,
et une version sera proposée sur le wiki d'ici jeudi.

## Baie de disques

Pierre-Elliott a discuté avec Jérémie concernant la baie de disques en vue de la
mise à jour matérielle. Elle est de la même famille que la baie actuelle, il y a
des chances que ce soit plug-and-play. Dans tous les cas, c'est suffisamment
lourd pour qu'on attende l'été avant de s'en charger.

## LTC

Pierre-Elliott a contacté LTC, ils proposent de passer le mardi 24 avril à 8h
pour la maintenance de la climatisation du 0B. Pierre-Elliott et Olivier sont
disponibles pour les accueillir.

## Nagios

Pierre-Elliott va tenter d'essayer de proposer une documentation sur le wiki, et
appelle les gens qui ont des questions à les poser, ensuite on pourra mettre ça
en place, à la place de monit et en complément de munin.

# Questions diverses

## Multiples adresses MAC

Un adhérent rencontre un problème de multiples adresses macs dans sa chambre.
Lorsqu'il branche son ordinateur, le switch voit en moyenne 8 adresses mac, et
du coup, il n'a pas accès à Internet.

On va essayer de faire en sorte qu'il puisse se connecter, et chercher des
vraies solutions en parallèle.
Solutions proposées :

* Désactiver temporairement l'authentification RADIUS sur la prise
* N'autoriser que sa vraie MAC sur sa prise

## Vérification mac prises

Daniel s'inquiétait du fait que quelqu'un puisse spoofer des adresses mac
d'adhérents pour faire de l'upload, un script s'occupe désormais de logguer
ces informations, pour que le cas échéant on le sache.

## Installeur Debian

L'installeur Debian présent sur le FTP du Cr@ns (et sur le netboot) est cassé,
il ne reconnait pas les disques durs (et potentiellement pas le reste non plus).
Il faut essayer de trouver une solution. A priori, c'est un problème indépendant
du Cr@ns, mais il existe des images censées corriger ça. Affaire à suivre.

## IMAP

Apparemment, Roundcube plante en essayant de s'abonner à des dossiers IMAP, et
icedove/thunderbird semble également rencontrer quelques difficultés (à
vérifier).
Il est possible que dovecot rencontre pas mal de soucis en ce moment, Antoine
Durand-Gasselin a suggéré de refaire la configuration de dovecot pour régler la
panne.
