# Réunion inter-nounous

* Date : Jeudi 22 mai 2014
* Lieu : Pavillon des Jardins
* Début : 19h20
* Fin : 20h41

## Présents

* Jordan Delorme
* Lucas Serrano
* Daniel Stan
* Pierre-Elliott Bécue

## Ordre du jour

### Imprimante

On choisit la Xerox, au vu de la compatibilité douteuse de la Ricoh. Un
réaménagement du 4J s'avère nécessaire, mais peu compliqué à gérer : on
s'oriente vers
un agrandissement de la sortie ou un changement (sur l'autre côté du mur), dans
les deux cas en rebouchant l'ancien.

On pense faire une expédition, après accord CA, dans un magasin de construction
pour acheter des plaques de plâtres et des parpaings (pour l'onduleur).

Le binding de la nouvelle imprimante (CUPS+lp) est déjà (presque) prêt, on se
servirai de celui de l'ancienne imprimante, en adaptant les options proprio
d'agrafage et cie.

### QRCode (Gala)

Pierre-Elliott a discuté avec l'équipe gala, pour se mettre d'accord sur les
deadlines et les besoins du gala.
Actuellement le prestataire privé coûte environ 1200€, pour la mise en place du
site et la taxe sur les billets.

Le Cr@ns aimerait leur fournir ce service à la place. L'idée serait d'acheter
les scanettes de QRCode et de voir
avec leur banque pour la mise en place du service de paiement en ligne.

Pierre-Elliott est motivé pour s'occuper de ce projet en collaboration avec le
Gala. Daniel l'aidera.

Cahier des charges :

* Site en django de gestion de QRCodes ;
   * Formulaire pour acheter un/des billets avec paiement en ligne et
     validation de transaction ;
   * Envoi de mail en cas de succès avec lien pour récupérer le billet ;
   * Lien générant des pdf et les stockant (pour téléchargement futur) ;
   * Administration : validation manuelle de ticket en cas d'échec après renvoi
     post-paiement ; interface de suppression de ticket nominatif ; édition et
     suppression de ticket pour souche en masse ;
* Appli python qui après scan de code barre/QRCode renvoie sur le site avec une
  bonne url pour valider le billet (id + hash)

### Avancement du WiFi

Le Pavillon des Jardins est presque entièrement câblé. Il reste le 4^ème^ étage.

NB (post CR) : le dernier étage a été câblé deux jours plus tard.

### Rabbit MQ

Le principe choisi est le suivant : le(s) binding(s) notifient le serveur
RabbitMQ d'une modification ldap avec une "modlist" (ou assimilé) en argument.
Un script démon sur RabbitMQ lit cette file d'attente et dispatche (en fonction
du modlist) la modification aux files d'attente des services concernés.

### Binding Ldap pour les adhésions glissantes

Ça marche, mais ça s'intègre mal à gest_crans … On travaille encore dessus pour
arriver à selectionner des adhérents à jour de cotisation à partir
de ses factures.

## Bilan todolist

Pour résumer les trucs à faire prochainement :

Pas prioritaire :

* Adhésions glissantes (fin juillet, début août)
* Messaging via Rabbit MQ (pas tout de suite)
* câbleuse (dépendant de RabbitMQ)

Urgents :

* lc_ldap : locks sur un objet (actuellement, locks uniquement sur une valeur
  donnée d'un type donné)
* Imprimante
* Site du Gala
