# Réunion du collège technique

* Date : Jeudi 11 septembre
* Lieu : Salle de conférence du Pavillon des Jardins
* Début : 19h00
* Fin : 21h01

## Présents

* Clément Ringeade
* Daniel Stan
* Jordan Delorme
* William Babonnaud
* Myriam Begel
* Glen Mével
* Adam Heriban
* Colisson Léo (alias !TobiasBora)
* Pierre-Elliott Bécue
* Raphaël-David Lasseri
* Germain Haessig
* Florian Marconi

## Ordre du jour

### Migration routeur et homes

On a migré le routeur et les homes vers une nouvelle grappe de disques (des
disques de 2To au lieu des 600Go). On a ensuite permuté les disques pour mettre
les 2To dans la baie encore garantie ({{{nols}}}). Malheureusement, cela a
entraîné une perte de données (problèmes de disques ayant le même identifiant,
probablement), et les disques arrivants ont été squeezés. Il a fallu
recommencer la copie de données, mais rien n'a été perdu.

Il faut tester le système de secours (quand le réseau du crans tombe, il faut
faire en sorte que le serveur titanic ouvre son tunnel vpn vers ovh pour
assurer une connectivité entre le serveur et le réseau du Crans). Glen est
volontaire pour jouer avec le vpn (encadré par Daniel.)

Quota : à refaire. Pour l'instant, tout le monde peut utiliser autant d'espace
qu'il le veut. Il devrait être limité à 10Go. Léo Colisson se propose pour le
faire.

### Nouvelle imprimante

Elle est au 4J et elle marche !
Toutefois les impressions WEI l'ont laissé exsangue, presque à court de toner
et de tambour. Le contrat SPS a été signé mercredi. Pas de nouvelle pour
l'instant.
On espère recevoir un toner pour mardi.

Pour l'instant, le binding avec l'intranet n'est pas prêt (mais presque). Le
soucis, c'est que pour l'instant, il semble falloir installer le driver sur le
serveur qui
lance l'impression (même en partage d'imprimante cups). Soit on essaie de
trouver un paquet hplip venant de Jessie, soit on installe la lib à la main sur
o2 (serveur de l'intranet2) ce qui nécessite de finir l'application
d'impression sur l'intranet2. On verra ça ce week-end.

Pour l'instant, on ne comprend pas le snmp de cette imprimante. Vincent G. a
commencé à parser la page d'administration pour récupérer les infos
pertinentes. On écrira un plugin munin à partir de ça.

Il faut également réécrire le script de notification de fin d'impression.
William est volontaire.

Il nous manque une fonctionnalité de couverture (piochée depuis un autre
bac) pour la Sauce. Le seul driver supportant cette fonction (à notre
connaissance) est dispo
sur Windows® (sic), et en recto simple. On peut soit créer une VM sous
Windows®, soit on leur file une vieille machine sous Windows®…

### Serveur de backup

Anne propose un devis http://perso.crans.org/dstan/anne de 4020 € TTC, Pierre
Elliott regarde pour un serveur acheté ailleurs en sachant que l'avantage
principal d'HP serait le care pack garantissant l'intervention ou le
remplacement dans les 24h.
Il faudra demander au CA de voter un budget pour un "simple" ordi à monter si
ça ne suffit pas on avisera pour une solution pro.

### Ft's powerup

Devis de ~1100 pour un deuxième Xeon 6cœur + 8Go de RAM. A priori, on les
prendra.

### OwnCloud

Raphaël fait une démo à partir de la machine virtuelle qu'il vient d'installer.

Où stocker les données d'un utilisateur :

* Un espace à part (sur la vm)
* Le home de l'adhérent
* Un sous-dossier du home de l'adhérent

Vu les contraintes (dossier qui doit être accessible en écriture par un groupe
spécifique), on s'oriente vers le partage d'un sous-dossier de l'espace perso
d'un adhérent.

-- Il y a un petit hack qui consiste à monter le home de l'adhérent en tant
  que "Stockage externe" dans owncloud pour s'affranchir des problèmes de
  droit (www-data qui ne peut pas écrire en tant que l'adhérent), c'est de la
  théorie, je ne sais pas si ça marche en pratique

### Sanction upload

La limitation pour upload ne reconnecte plus automatiquement l'adhérent
après 24h : désormais, il faut cliquer sur un lien qui renvoie vers une
application de l'intranet2, pour confirmer que les programmes consommateurs en
upload ont été réglés correctement.
Tout ceci dans un but de responsabilisation. En cas de clic après les 24h, la
personne est reconnectée immédiatement. Pour l'instant, peu de clic et aucune
plainte, l'upload des personnes sanctionnées n'a pas l'air de leur manquer.

L'appli est modulaire et tout le monde est invité à coder d'autres
modules (chambres invalides etc.)

### Bilan (technique) de la rentrée

Adhésions glissantes : ça s'est bien passé (globalement). Il manque des
fonctions pour afficher les factures en détail.
Il faut pouvoir enregistrer une réadhésion à partir de la date de fin
d'adhésion.

Enregistrement des mac : ça marche plutôt bien, modulo des problèmes liés à des
collisions de mid (sic) vive les locks !

Ticketteuse : Sur {{{oie}}} à la Kfet, marche bien (modulo présence de
rouleau…) elle permet d'imprimer des tickets avec les mots de passes des
machines wifi de l'adhérent, mais aussi de générer et imprimer un mot de passe
pour le compte crans de l'adhérent.

* Il faut defucker le script de mails de bienvenue.
* Faire un mail-all de réadhésion et imaginer une solution plus pérenne à
  partir de l'année prochaine.
* Générer des liens pour les réponses aux mails de déménagements non déclarés

### Pont(s) WiFi

On tire un câble du 0B au 6B pour réalimenter la borne WiFi du faux plafond.
Son câble étant utilisé par le pont WiFi.
Si cela n'a pas lieu, on rebranchera l'ancienne borne du 6B pour les adhérents
du dernier étage (le WiFi a été reporté
comme instable à cet étage, la borne étant éteinte).
Il faut aussi finaliser la configuration du pont WiFi, avec un truc propre.

Pour Arpej/Volti, il faut s'occuper de remettre la borne en service en haut du
d'Alembert, contacter la DSI et STL (pour l'accès).

### Install Party Campus

PEB propose une Install Party (coté campus) le 20 Septembre.

### Prochains séminaires/ateliers

Mardi prochain, on fera un séminaire pour les câbleurs. Remplissons le planning
des prochains jours
https://wiki.crans.org/CransTechnique/CransApprentis/SeminairesTechniques/2014-2015

### Questions diverses

#### SageMath

C'est une bibliothèque (☺) Python orientée calcul formel. Il faut réfléchir,
toutefois c'est assez gourmand en ressources.
À tester sur une vm.

#### Switch Krobot

Germain demande s'il est possible de récupérer un switch pour le Krobot, le
leur fait trop de bruit.
Il s'occupe de faire valoir les garanties de ces switchs.
