# Réunion du Collège Technique

* Date : Jeudi 19 mars 2015
* Lieu : Pavillon Des Jardins
* Début : 19h08
* Fin : 20h30
* <<Pad>>

## Présents

* Myriam Bégel
* Hamza Dely
* Emmanuel Arrighi
* Gabriel Detraz
* Jordan Delorme

## Ordre du jour

### Virtualisation et clubs

Résumé de la situation des virtualiseurs :

* ft : quasi neuf, 1 an (donc sous garantie), très puissant
* kdell : serveur par free (donc pas sous garantie, ''a priori''), moyen
  puissant
* fz: fin de vie, encore 1 an de garantie, moyen puissant++

Clairement, on a encore beaucoup de marge. On pourra commencer à envisager le
rachat si fz ne passe plus en garantie en novembre prochain.

Pour les clubs, le système à base de proxmox est fonctionnel : on peut créer
des groupes et compagnie pour administrer uniquement un sous-ensemble de
machines. La
création d'une vm n'est cependant pas automatique et il faudra faire appel à
une nounou. Comme on ne connaît pas la demande exacte, et qu'il y a
énormément de latitude sur les ressources allouées à une vm (\epsilon -> \huge
beaucoup), il est envisagé de traiter les demandes au cas par cas, lors
d'une IN par exemple.

### Quota

Il est suggéré de monter l'espace disque des adhérents à 20Go. Compte tenu de
l'espace disque disponible assez élevé, cette mesure ne conduira pas à un
remplissage des disques dans l'immédiat.

### Rabbit MQ et environnement de test

Ça fonctionne avec rasputin (la nouvelle ticketteuse) pour l'environnement de
test. Gabriel a des questions sur le fonctionnement de trigger.

On va commencer à tester sur une branche de test de lc_ldap, pour envoyer les
messages à apprentis (au lieu de civet) et voir si le parser se comporte bien…

### Intranet2

* Mon compte : ça marche. (Le css est toujours un peu moche, mais ça va
  s'arranger)

Il reste à migrer :

* Quota (Gabriel est sur le coup)
* Impression
* Pages perso
* Rajouter la création de digicode dans l'intranet2

Une fois ceci fait, on pourra se débarrasser de l'intranet et migrer facilement
zamok sur jessie. Il faut se
pencher activement sur le portage de l'intranet2 pour django 1.7,
voire 1.8 (qui ne va pas tarder.)

Trucs qui cassent (non exhaustif) :

* manage.py
* l'archi des apps
* settings.py ?

Bref, ça avance !

### Firewalls

Il y aurait moyen de recoder le pare-feu IPv6 de manière plus intelligente,
notamment en utilisant les ipset mac-based
qui sortent sur le noyau linux de Jessie. À terme on pourrait carrément
fusionner les deux pare-feux (gérer
toutes les Blacklists ensemble, etc.)

### Festival robotique

Le 1er festival de robotique de Cachan a lieu dans le gymnase de l'ENS du 1er
au 8 juin. Les organisateurs souhaiteraient pouvoir bénéficier d'une connexion
internet pour une dizaine de personne.
On s'est fait relancer par Odile.

La DSI ne veut pas nous prêter de l'ethernet, car la seule connexion rj45 est
câblée très particulièrement. Il nous
reste donc les options suivantes :

* Tirer un câble depuis le DGC (en face)
* Pont WiFi depuis le PdJ (à tester)

Bref, il faut aller faire du repérage. On verra ça jeudi prochain.

### IP

On fixe la Key signing party pour midi.
