# Réunion du Collège Technique

* Date : Jeudi 2 avril
* Lieu : Pavillon Des Jardins
* Début : 19h00
* Fin : 20h43

## Présents

* Daniel Stan
* Gabriel Detraz
* Hamza Dely
* Myriam Begel
* Pierre-Elliott Bécue

## Ordre du jour

### Intranet

## Refondre un plugin et faire un copy/paste c'est pas très très compatible.
## PEP8

De nouvelles apps ont été portées par Gabriel :

* quota
* mon compte
* pages perso

Il reste à faire :

* l'appli d'impression
* paypal (ou pas)

Pour le moment, on se fixe comme objectif d'avoir une interface
de *lancement* des impressions, à partir des fichiers présents dans le home. On
verra plus tard pour les fonctionnalités plus compliquées.

Il va falloir vérifier la fonction solde dans lc_ldap (sic).

Pour paypal, des services de paiement par CB alternatifs existent, par exemple
https://www.comnpay.com/integration.html, à celui qui veut prendre le projet de
choisir… (sous réserve d'accord du CA.)

### Montage NFS des homes

Résumé des changements :

* {{{o2}}} a besoin des homes montés pour accéder aux quotas immédiatement ;
* {{{zamok}}}, {{{dovecot}}}, {{{omnomnom}}} les montent quand ils en ont
  besoin (par lettre).

On peut monter les lettres sur o2 une à une… ça règlera le problème des homes
pas montées pour les quota. (Ça a été fait durant l'IN.)

### Feduroam

Principe : proxy radius qui peut rediriger les requêtes de connexion vers un
serveur en fonction d'informations de l'utilisateur. Ici, on redirigerait des
requêtes d'auth vers des serveurs radius d'autres associations (Via, Rézo ?)

Ça fonctionne, de notre côté. On attend des nouvelles de leur côté. Et il reste
l'histoire de l'allocation de l'IP : pour le moment, les macs des machines ne
sont pas connues, donc même avec adresses IPs dynamiques, il faut laisser
passer la mac dans le parefeu.

Il faut aussi se pencher sur les questions administratives…
(on va dire que le choix du nom du ssid est … federez)

### Révision plan adressage

Des mises à jours de config.py ont été faites pour mieux correspondre à
https://wiki.crans.org/CransTechnique/PlanAdressage.

Pas de nouvelles suggestions pour le moment.

### Upload

PEB a mis en place un comptage incrémental pour {{{deconnexion.py}}} (le script
qui compte l'upload, installe les blackliste, et avertit
les adhérents). Pour éviter les dérives, un recomptage est fait tous les
jours (à minuit), même si pour l'instant, la dérive est très faible.

Bonus : on peut désormais faire afficher le quota d'upload courant par
adhérent. Risques : les adhérents qui veulent
flirter avec la limite. On peut aussi laisser un flou, par exemple, on s'arrête
à 4Go (et plus d'avertissement plus loin.)

### Alertes SMS

L'alerte SMS fonctionne, en test sur zamok. Voir la doc
https://wiki.crans.org/CransTechnique/ServicesMineurs/GammuSms

Pour l'instant, le script vérifie la présence du mot clé "[SMS]" dans le
subject.

### Droits vieilles nounous

PEB est contre leur retrait de droits s'il n'est pas possible de le leur
rendre, et
il ne faut pas oublier qu'en cas de pépin, ça veut aussi dire que ceux qui sont
encore susceptibles d'intervenir ne le pourront plus forcément.

Le principe est de retirer les droits nounous d'anciens qui ne s'en servent
plus régulièrement.
Pour répondre au point précédent, il est possible de laisser une commande
accessibles (via
un droit spécifique) pour les récupérer en cas de besoin.

### Questions dîtes "verses"

#### Bcfg2

PEB a commencé à refondre le plugin Bcfg2 écrit par Jérémie. Ça devrait pas
être très long,
ensuite, à moyen terme, faudrait se débarrasser des sucres du plugin. Perso,
ils ne le dérangent
pas trop, et "facilitent" parfois la lecture, mais sont sans doute "dangereux".

À suivre.

#### Saclay

Un dossier est présent dans gitlab, pour nous vanter dans tous les sens. Ce
dossier devrait être
prêt pour mi-avril. Avis aux volontaires.
