# Réunion du Collège Technique

* Date : Mardi 26 mai 2015
* Lieu : Condorcet
* Début : 19h25
* Fin : 20h23
* <<Pad>>

## Présents

* Daniel STAN
* Gabriel Detraz (via $Kype)
* Pierre-Elliott Bécue
* Hamza Dely

## Ordre du jour

### Événement robotique

Daniel propose un rdv avec la DSI demain ou jeudi matin. Avis aux volontaires
qui voudraient l'accompagner. Comme l'UAP Pro n'a pas encore été commandée, on
compte utiliser celle du 2B en attendant de refaire une commande cf Jeudi
prochain. L'intérêt d'une UAP Pro est d'avoir le poe actif intégré (le switch
dsi est poe compatible) et de proposer un port ethernet supplémentaire pour
pouvoir étendre le réseau si besoin.

### Point rencontre

La DSI a répondu à Pierre-Elliott, ils ont un souci avec la fourniture de
machines car il semblerait qu'ils doivent identifier les gens utilisant les
machines.
Pierre-Elliott leur a proposé de les faire passer par le réseau Crans, il
faudrait voir si on veut mettre un portail captif sur le port 80 pour obliger
les gens
à fournir login/MDP.

Parallèlement, il faut s'intéresser aux mots de passe wifi jetables. Il
faudrait également pouvoir savoir qui s'en sert, car si un jour on a une
requête,
et qu'on a pas de réponse, on se fera vraiment emmerder.

On pourrait fournir un mini-formulaire à remplir par l'admissible en échange de
tickets WiFi fournis par le BDE.

Niveau imprimante on peut en fournir une (Hyjal) si le BDE le souhaite.

Ne pas oublier la charge supplémentaire pour le BDE à l'ouverture/fermeture du
PR vis-à-vis du matériel mis à disposition (ordinateurs, imprimante, etc.).
À voir avec le BDE.

### Virtualisation BDE

Le BDE est partant pour virtualiser. Besoins :

* Deux VMs
   * Une avec 20 Go de stockage, un ou deux cœurs, et 1 Go de RAM
   * Une avec 8 Go de stockage, un cœur et 512 Mo de RAM.

Usage : serveur web et test. Les nounous sont d'accord.

### Ponts WiFi

Le pont WiFi vers le coteau est mort. Ouranos semble avoir des problèmes de
flashage. Les intéressés sont sur le coup. On ne comprend pas pourquoi le fs
est corrompu.

Un reflash semble nécessaire, vu l'état de mort cérébrale de la borne.
Remplacer par nanom5 ? Il est nécessaire d'intervenir sur le toit.

### FedeRez WiFi

Ça marche, cool.

Le vlan 12 a été mis en place côté campus. Le SSID en revanche n'est pas
diffusé sur toutes les bornes.
On va parler à la DSI de la propagation du vlan 12 côté ENS via DT.

https://wiki.federez.net/admin:services:wifi-federez

### Discourse

On a installé une vm.

C'est une super fucking application Ruby On Rails qui tourne dans un container
docker à la con sur une VM appelée… Discourse. Scourse

Le soft en lui-même est moderne, et pas mal d'un point de vue ergonomie.
Cependant, il pose des soucis divers et variés.

Problèmes rencontrés :

* Vie privée (les admins ont accès aux messages privés) ;
* Facilité de lecture, l'agencement des posts est pas terrible ;
* Certaines personnes ne savent pas filtrer par catégorie, mais bon, ça c'est
  la couche 8.

### Renouvellements de garanties

* Charybde : 168 € HT
* Pulsar : 865 € HT

Pulsar on veut. Charybde on s'interroge. Pour l'instant, on laisse de côté
Charybde, car il n'est pas si vital, et nous avions déjà un projet de miroir
commun avec la DSI.

Pour charybde, on va poker la DSI, et on va voir.

### Switch PoE

8 k€ pour 9 gigabit 24 ports (les 2530) POE.

À noter qu'il faut rajouter à la dépense l'achat de splitter PoE et
éventuellement des gbic si les actuels ne sont pas compatibles.
À voir en CA.

### Virtualisation

Pierre-Elliott veut toujours son virtualiseur. Pour le moment, le besoin ne se
fait sentir. Fz passe hors garantie en novembre, on pourra voir à ce moment là
pour acheter un truc plus gros.

### Disques pour les VM

En parallèle, on envisage d'échanger le stockage des vm pour utiliser les
disques de 600Go. L'idée est de débrancher un disque de 300 Go, et de mettre
un 600 à la place.
À essayer… après avoir lu la doc.

### dist-upgrades

asterisk ça s'est bien passé.
discourse est déjà sous Jessie.

#### Freeradius

Y a des trucs qui segfaultent.
Après investigation, le problème semble complexe : le phénomène de segfault ne
survient pas après clean install et appel au backend python. On investigue
avant de bugreport.

#### Bcfg2

Mise à jour faite, on a créé une nouvelle VM, le paquet est à jour avec le
plugin. Il avait des soucis de {{{print}}}, qui ne sont pas thread-safe, et il
est probable que
le fonctionnement interne du serveur ait changé aussi.

{{{print}}} ne fait donc plus rien, et on a mis une fonction out() et _out() en
place pour remplacer.

La nouvelle VM sera renommée sous peu.

### Couacs update.sh

Lors des derniers update.sh, qui apparemment ont tous eu lieu sur fz, les homes
se remontaient en partie en read-only. fz présentait d'autres anomalies
relatives aux disques. On l'a rebooté. Comme c'est la première fois que cela
survient, on va pour l'instant garder l'œil.

### Coupure annuelle

Chérie, ça va couper. Il faudra être vigilant.

On prévoit une maintenance d'une journée du local et d'une certaine quantité de
services ou autre. On va fixer une date (fin juillet~août, voir crans
vacances) et une liste de trucs à faire (ranger 0B, migrer disques vm,
dist-upgrade routeur, ldap.) Si ça vous intéresse, manifestez-vous !
