Réunion technique inter nounous.

# Réunion

## Horaires

'''Date :''' Jeudi 1^er^ mars 2007

'''Début :''' 19h12

'''Fin :''' 20h36

'''Lieu :''' salle de conférence du Pavillon des Jardins

## Présents

* Alexandre Bos
* Antoine Durand-Gasselin
* Augustin Parret-Fréaud
* Brice Dubost
* Frédéric Pauget
* Grégoire Détrez
* Jérémie Dimino
* Stéphane Glondu
* Vincent Bernat

# Ordre du jour

## Mails invalides

Alexandre propose une gestion automatisée des mails invalides : quand il y aura
un doute sur la validité d'une adresse mail, ou lors d'un changement d'adresse
mail, un mail de confirmation (à la mailman) sera envoyé avec un lien. Si
l'adresse n'est pas confirmée au bout d'une semaine, l'adhérent serait
déconnecté avec une page explicative sur squid. Accepté à l'unanimité.

## Serveur de secours extérieur

Louer une baie pour y mettre notre propre serveur coûte cher et n'est pas
forcément pratique. En revanche, louer un serveur ne coûte pas si
cher (environ 50 € HT par mois) et OVH, par exemple, proposent des services
intéressants (avec de bons échos). On louera donc un serveur dédié chez OVH.
Accepté à l'unanimité.

## Compte d'impression pour tout le monde

Les adhérents ne sont pas encore tous au courant de l'existence du service
d'impression, et il a été proposé de créer un compte d'office à tous les
adhérents pour populariser ce service. Cela risque de charger un peu plus les
câbleurs, les procédures de mot de passe peuvent être pénibles... Une idée de
mot de passe généré ou de one-time password a été évoquée, mais
abandonnée : l'adhérent lambda qui se verra imposé un mot de passe pour quelque
chose dont il ne verra pas l'utilité dès son inscription oubliera très
certainement son mot de passe (comme c'est souvent le cas actuellement) et
devra de toute façon repasser à la Kfet. En fait, le service d'impression a été
mis en production la rentrée dernière et n'était pas tout à fait opérationnel à
l'automne 2006, mais on peut le considérer maintenant comme totalement
opérationnel, et une campagne de pub plus poussée sera faite à la prochaine
rentrée (lors du contact de masse avec les adhérents) afin que le service
d'impression soit un peu plus connu.

Vote : 1 voix pour, 4 contre, 4 sans avis.

Pour les clubs : on donne la possibilité aux clubs d'imprimer avec leur
compte (mais ce compte n'est créé qu'à la demande). Cela demande encore un peu
de travail sur l'intranet.

## Solde impression / Note Kfet

La création d'une « note Crans » pour créditer les soldes d'impression est
abandonnée vu les difficultés à récupérer des sous du BdE de manière générale.
De plus, la rigueur de la gestion des notes Kfet ne correspond pas avec la
politique générale du Crans en matière de sécurité.

En revanche, il a été envisagé de « vendre » du crédit au BdE afin qu'il le
revende aux adhérents du Crans (du moment que le BdE « prépaye » le Crans). On
pourrait donner une compensation (à négocier) en retour. C'est à discuter avec
le BdE.

Si le BdE n'est pas d'accord, on en arrête là.

## Maintien d'Alexandre Bos au poste de nounou

Il s'agissait d'officialiser la nomination d'Alexandre Bos (qui s'est mis
lui-même les droits nounou) au poste de nounou. Accepté à l'unanimité.

## Nouveaux serveurs

Stéphane a appelé Anne Cazalet ce matin ; un devis devrait être reçu avant la
fin de semaine. Anne pourrait venir à la prochaine réunion CA.

# Impromptu

## Expiration de la garantie de Pegase

La garantie de Pegase vient d'expirer, Dell nous propose une extension
à 700 € pour 2 ans de plus. De plus, Dell propose des offres de
renouvellement (jusqu'à 75 % de réduction par rapport au site web). Attention
aux problèmes rencontrés dans le passé avec Dell : adresses, paiement à
l'avance, délais, etc. On n'étend pas la garantie, mais on jette un coup d'œil
aux offres de renouvellement.

Notre nouveau contact chez Dell : Céline El Bouhali (04 99 75 65 84).

## SVN vs CVS

SVN a déjà été testé dans le passé pour le Crans et posait plus de problèmes
que CVS (repository fragile, problème de droits, etc.). Pour les fichiers de
configuration, CVS convient bien et sera conservé. Pour les scripts (en
particulier les projets orthogonaux tels que l'intranet ou le wifi), un système
de versionnement distribué pourra être adopté. Il faudra faire une étude de ces
systèmes (Git/coGITo, Mercurial, etc.). Remarque : TLA est déjà utilisé pour le
wifi. Brice et Grégoire regardent Git.

## Virtual Hosts pour pages perso

Il s'agit de rendre accessible les pages perso accessibles via des adresses qui
commencent par autre chose que http://perso.crans.org (par exemple
http://www.example.com). La gestion des virtual hosts en crans.org risque de
polluer notre domaine et demande des précautions avec la gestion des conflits
dans le DNS, tout cela pour un intérêt très faible. En revanche, les virtual
hosts hors crans.org demandent un effort minime côté crans, et la configuration
est déjà en place. On autorise donc les virtual hosts pour les noms de domaine
hors crans.org, au cas par cas.

# CROUS

## Travaux sur les fibres

Aux dernières nouvelles, SCIC Habitat prend en charge la réparation en faisant
appel à SPIE Communications. Les travaux commenceront lundi.

## Clés

Le CROUS a un exemplaire de toutes nos clés. En cas de réclamation de la part
du CROUS, il faudra leur expliquer qu'on ne peut pas se permettre de distribuer
des clés dès qu'ils perdent la leur et que d'ailleurs, le fait qu'ils perdent
nos clés est inquiétant car l'assurance ne couvrent pas les clés perdues. En
revanche, on leur laisse accéder à nos locaux quand ils veulent (dès qu'ils
préviennent suffisamment à l'avance). Le cas de force majeure est une fausse
excuse car de toute façon, les pompiers accèdent n'importe où sans même se
soucier d'avoir les clés (cas de porte défoncée au C déjà rencontré).

## Locaux techniques 4I, 4H

Le CROUS va installer des serrures sur des armoires techniques au 4I et 4H afin
que nous puissions y installer des switchs pour les bornes sur les toits.

## Problèmes électriques au bâtiment I

Le local de brassage est sur le même circuit électrique que les prises du
couloir et des autres locaux techniques. Il faudra demander au CROUS un circuit
électrique séparé (s'adresser à Victor) comme ils l'ont fait pour le M et le B.

# Brainstorming

* Refaire les scripts de gestion avec une base postgres : ça va pas forcément
  résoudre les problèmes, mais ça peut améliorier les performances et ça
  peut-être plus marrant plutôt que de déboguer des trucs... la vue ldap est
  lente... on attend, il y a autre chose à faire, mais en attendant, on peut
  profiler du python pour localiser les goulots d'étranglement
* Avec les nouveaux serveurs, redondance de services (Heartbeat) (plus utile)
* Interaction avec FedeRez ?
