# Réunion Nounous

## Horaires

'''Date :''' Jeudi 9 Octobre 2008

'''Début :''' 20h12

'''Fin :''' -- WikiNicolasd <<DateTime(2008-10-09T20:12:30Z)>>

'''Lieu :''' Pavillon des Jardins

## Présents

* Antoine Durand-Gasselin
* Benoît Barbot
* Jérémie Dimino
* Johan Grande
* `man 1 sort`
* Michel Blockelet
* Nicolas Dandrimont
* Xavier Lagorce

# Ordre du jour

RAPPEL:: Les données d'accès au proxy sont des données *personnelles* des
adhérents (logs de squid), et les Nounous n'ont à y accéder en aucun cas. Cela
paraissait une évidence pour tout le monde, mais ça ne coûte rien de le
rappeler.

## Pédalages de rouge dans la semoule

Ce week-end, il y a eu pas mal de problèmes au niveau du www/wiki, et lundi, par
miracle, tout s'est remis à fonctionner... Redémarrer Apache les refaisait
fonctionner, mais que pendant une vingtaine de minutes.

Appeler HP pour le SAV n'est possible que si l'on arrive à diagnostiquer un
problème précis et reproductible, ce qui n'est pas le cas actuellement.

## Migration du www/wiki vers Lenny

Afin de régler ce problème, Antoine a commencé à regarder comment migrer le wiki
vers un serveur sous lenny. Ce ne sera pas tâche aisée vu que c'est le paquet
avec le plus de modifications locales pour le Cr@ns.

Howto:

* Installer apache2, apacheSSL, pythonmodrewrite (et allumer son cerveau)
* sync-er le /var/local/wiki
   * il y a un lv sur fx qui s'appelle lvm-wiki (2,5/4Go)
* copier les fichiers de conf de moinmoin (/etc/moin/*) (réfléchir un peu)
* màj les scripts dans /usr/scripts/wiki-lenny
   * comprendre comment fonctionne le parser de moinmoin (un peu comme à chaque

màj)

Moinmoin et le serveur apache sont configurés sur http://moise-wiki.crans.org
le temps qu'on fasse quelques bidouilles sur les plugins munin du crans (parce
que le serveur a apache et est sous lenny).

## Connexion des appartements de l'ENS

Il a été décidé de placer ces appartements sur le même VLAN que le BdS (car ce
VLAN circule déjà sur les équipements actifs de l'ENS). Il faudra mettre en
place un firewall entre ce VLAN et le réseau (car le CA a décidé de filtrer le
trafic). Ce réseau passera par la Freebox.

## Problèmes latents sur le réseau

### Wifi

Le Wifi marche de façon plus ou moins aléatoire. Il faudrait rebooter la plupart
des bornes (cf. autostatus bien rouge). Les bornes en zone CROUS devraient être
rebootables par un apprenti qui n'aura pas le choix. Il parait judicieux, au vu
de certains soucis de configuration de switchs, de vérifier sur quels vlans sont
la prise de chaque borne down et de modifier la base ldap le cas échéant.
Certaines bornes ne semblent pas revenir après un hard reboot; le stock de
bornes du -1I étant fortement diminué, il faudrait voir avec Régala pour l'achat
de nouvelles bornes.

### Zamok et libnss-ldap

On suspecte que libnss-ldap faisait trop de requêtes sur vert, dépassant le
nombre maximal de sockets sur vert.
Libnss-ldapd résout ces problèmes par une séparation claire entre le code de la
bibliothèque nss et la connexion au serveur ldap. Le nombre de sockets ouvertes
est alors maitrisé, puisque la connexion se fait via un démon (nslcd), qui en
outre garde un cache des données lors d'une défaillance du serveur LDAP.

C'est pour l'instant la solution utilisée sur zamok (et quelques serveurs sous
lenny), et pour l'instant aucun problème n'a été constaté.

On va certainement passer rouge à cette solution, même si maintenant la charge
sur le serveur LDAP de vert doit avoir fortement diminué.

### Bizarreries de l'authentification radius

Il est constaté un nombre impressionnant de machines qui passent par erreur sur
le vlan d'accueil. Le problème ne vient apparemment pas de radius, les logs sont
OK. Il faudrait refaire de toute façon la redondance de radius et voir, si ça ne
résout pas le problème, à ajouter une rustine par exemple à arpwatch pour
désactiver/réactiver la prise si l'adhérent se retrouve par erreur sur le
vlan 7.

## Questions diverses

### Mise en place et tests du Wifi en WPA2

Pour réaliser les tests de WPA2, Régala va utiliser le VLAN 30, libre sur le
réseau Cr@ns et le réseau ENS. En effet, on ne peut pas passer le firewall de
ragnarok en clair sur le vlan 3 actuellement.

Il faut prévenir la DSI de l'utilisation de ce VLAN.

### Problèmes avec les annonces SAP

Ça m'a l'air de ne pas fonctionner correctement. Braice ?

### Limitation de bande passante sur le FTP

Jérémie n'a pas regardé depuis la dernière release de VLC, le réseau de l'ENS va
bien avec les limitations actuelles par nombre d'utilisateurs connectés.

### Migration à l'UTF-8

Il faut le faire, en évitant de migrer les services en APF-4242.
La migration naturelle lennyesque continue.
