# Réunion Nounous

* Date : Jeudi 13 Décembre 2012
* Lieu : Salle Condorcet
* Début : 19h25
* Fin :

## Présents

* Aymeric Labatut
* Daniel Stan
* Olivier Iffrig
* Pauline Pommeret
* Pierre-Elliott Bécue
* Sylvain Boilard
* Valentin Samir
* Yann Duplouy

## Ordre du jour

### Serveur de logs

Thot est installé (wheezy), et reçoit des données de tous les serveurs. Il faut
voir si on souhaite modifier les requêtes d'insertion SQL, et donc la base de
données.
La priorité : définir la structure de base de données qu'on veut, pour pouvoir
écrire
les requêtes qu'on veut et qu'on mette le système en service.

Les services sur pgsql (comptage d'upload, filtrage firewall, correspondance
mac-prise)
seront migrés sur thot.
Valentin fait remarquer qu'il peut être bien de conserver un réplicat de la
correspondance mac-prise, nécessaire à l'authentification radius.

### Prochaine Debian stable

Wheezy est bientôt dans les bacs.

#### Repackaging de Bcfg2

Le nouveau bcfg2 n'est pas compatible avec l'ancien, on a donc tout migré vers
la
nouvelle version.

À savoir : les balises !ConfigFile, Directory, Symlink sont devenues Path, les
scripts
python ont leur propre balise Python.

Reste à remettre en service bcfg2-repo-validate (utilisé par darcs).

#### Passage sous wheezy des serveurs du crans

A priori, pas avant que wheezy soit la nouvelle stable, mais il serait bien
d'en discuter un peu avant.

Il faudra faire attention à

* dovecot
* radius (l'appel de scripts externes est déprécié)
* moinmoin (les patches vont bouder)
* iscsi (sur les dom0 et le nfs)
* portmap est déprécié (passage à rpcbind),

il peut être envisagé de mettre à jour daath en dernier pour éviter les clashes

Dans tous les cas, il va falloir se farcir les changelogs.

### Script mac_prises

On avait fait un script qui listait les adresses macs connectées dans chaque
chambre, il faut ajouter des choses pour limiter au maximum le spoof non
repérable.

Par exemple, cela vaut-il le coup que thot stocke en base de données le triplet
(mac, date, prise(s)), et qu'on bosse avec ce genre de données ?

On va mettre une page sur le wiki pour des suggestions, et essayer de discuter
avec
le C.A., pour obtenir un réel cahier des charges. Après on commencera.

### Installation des nouvelles bornes wifi

Quelques bornes ont été placées au M, d'autres au A, il faut continuer, et
trouver
des apprentis motivés !

### Lien Gigabit vers l'extérieur

Prochainement, une réunion avec la DSI pour parler gigabit le weekend, et
éventuellement augmenter un peu en journée.

### TV

Daniel a testé la diffusion de la TV avec un Raspberry Pi. Ça lag, à voir si
c'est
parce que ça capte mal ou parce que manifestement l'USB et l'Ethernet passent
par
le même bus sur la carte.
Les serveurs free n'étaient, à l'époque où ils ont été reçus, pas compatibles
avec
les cartes, il faudrait voir pour quelle raison.
Il faudrait réfléchir à d'autres solutions.

Quid de l'amplification des signaux TNT ?

#### HD

Vu que la HD n'est pas supportée par tous les PC, et que "c'est l'avenir", on
pourrait
imaginer baisser la résolution pour que les gens qui n'ont pas une machine assez
puissante puissent quand même regarder la TV. Problème : ça demande de la
puissance
de calcul... À voir si on a envie de le faire.

Dans un premier temps, on pourrait passer le flux TV d'une chaîne vers malloc
ou une autre machine pour faire des tests de transcodage.

### Divers

#### Imprimante

On va appeler Thomas Hocine pour lui dire que le service après-vente ne
respecte pas vraiment les
clients, et que par conséquent, le C.A. s'interroge vraiment sur la pertinence
de signer
le contrat.
