# Réunion Nounous

* Date : 18 Avril 2013
* Lieu : Condorcet
* Début : 19h22
* Fin : 21h21

## Présents

* Ariane Soret
* Daniel Stan
* Lucas Serrano
* Valentin Samir
* Pierre-Elliott Becue
* Raphaël-David Lasseri
* Thomas Épalle
* Vincent Le Gallic

## Ordre du jour

### Serveurs Free

Il sont au 2B, il y en a 2, des 1U avec des kits de rackages.
Ils sont neufs.

* L'un va être utilisé pour remplacer le serveur NFS actuel.
* On va essayer de tester la carte TV dans l'autre, mais à priori, il n'y a pas
  assez de port PCIe dedans pour que ça soit intéressant. Il pourrait également
  être utilisé pour proposer des VM aux clubs.

Il est marqué dans le contrat de mettre sur le [[http://www.crans.org|site]] un
logo de la Fondation Free.

### Intranet 2

#### Gestion des prises / Chambres

Valentin a commencé à développer un module  pour l'intranet2, pour les accès
prises/chambres.
L'idée est de n'autoriser une machine à se connecter que dans une liste de
chambres fournie par l'adhérent sur l'intranet.
Il reste à l'interfacer avec radius, et à voir s'il est actif par défaut.
Il est envisageable de tout préparer techniquement puis d'envoyer un mail à
tous les adhérents pour les prévenir d'une date d'activation.
Pierre-Elliott soulève qu'il ne lui semble pas acceptable d'imposer à ceux
souhaitant accéder en filaire à Internet depuis une autre chambre que la leur
d'avoir un compte Crans.
Il est rappelé qu'il est également possible d'utiliser de
l’authentification 802.1x. !MiNet l'utilise et ne semble pas rencontrer de
problèmes particulier On le leur demandera ce week-end.
La liste des chambres autorisées est actuellement dans la base pgsql switch.
Pierre-Elliott à suggéré de rajouter un champ ldap
multivalué {{{PriseAutorisee}}} par exemple. Cela à l'avantage de garder autant
que faire se peut les données des adhérents dans une seule base de donnée et
facilite ainsi sa gestion.

#### Migration

Il faut migrer vers l'intranet2 le plus rapidement
possible : l'intranet 1 devient de plus en plus obsolète. Par exemple, il ne
fonctionne pas sous IE10 (ce qui empêche les adhérents d'enregistrer eux même
un nouveau PC sous Windows 8 qu'ils viennent d'acheter)
Valentin a commencé à "copier" le module «Mes machines», il manque la création
des machines (a priori possible avec le nouveau binding) et la suppression (pas
encore implémenté dans le binding)
Il manque un module pour imprimer, pour recharger son compte impression via
paypal et pour gérer ses infos personnelles (monCompte) en ce qui concerne les
adhérents lambda.
Pierre-Elliott soulève qu'il ne lui semble pas acceptable de donner des
commissions à une entreprise à chaque rechargement de compte impression et
propose de supprimer (ou trouver une alternative à) la fonctionnalité.
Les autres modules (digicodes, gestion des factures) doivent également migrer,
mais comme cela ne concerne actuellement que les membre actifs, c'est un peu
moins urgent.
Daniel propose la mise en place d'une base pgsql pour la gestion des digicodes.

### Binding Ldap

Tous type d'objets est créable et modifiable (sauf l'objet facture).

#### Suppression

Il reste à implémenter la suppression : notamment la
fonction "cimetière" permettant d'annuler une suppression en dumpant les donnée
depuis la base de donnée vers un autre support.
Actuellement (dans l'ancien binding) c'est un pickle de
l'objet {{{python}}} correspondant écrit dans un fichier
dans {{{/home/cimetiere/}}}.
Il est  envisagé de stocker une représentation plus lisible du ldif ldap
correspondant (ini, json, …), sans doute dans un fichier.

#### Logs et historique

Pour les logs : accesslog + champ lastmodify pour savoir qui à fait la
modification : La base ldap log elle même toutes les modifications.
Pour l'historique : accesslog à l'air compliqué à parser du coup peut être
garder le système actuel ou bien faire une base d'historique à coté.
Le système actuel à l'inconvénient de faire grandir arbitrairement la taille
d'un adhérent/d'une machine dans la base ldap ce qui alourdit sa manipulation
via le binding.
De plus, une fois l'objet détruit (par exemple, un adhérent détruit sa machine
via l'intranet) son historique est détruit dans la foulée alors qu'on pourrait
souhaiter le conserver.

#### Possibilité de préinscription ?

Avec des ordinateurs en libre service à la rentrée, ça irait peut être plus
vite ?
C'est faisable, mais est-ce que ça aurait vraiment un intérêt réel ?

### Passage à wheezy des serveurs mails

Pour se débarrasser des spams, postfix s'est doté d'un nouveau
module : postscreen. Il n'est pas disponible sous squeeze, et de toute façon,
wheezy approche de la release.
Pierre-Elliott  propose de les mettre à jour au 2B avec des apprentis après
avoir envoyer un mail aux adhérents concerné pour les prévenir de l'instabilité
du service mail durant la mise à jour.

### Routes sur titanic

Bah on ne peut pas parler à freebox en zone crans et on ne peut pas parler à
titanic hors zone crans.
Au vu des règles de routage, c'est normal.
Il est possible de faire en sorte que ça marche via des {{{ip rules}}}, mais ça
n'est pas vraiment important.

### Pare-feu, limitation upload

C'est en place, toutes les déconnexions pour upload sont dans une classe
où l'upload est limité.
Il faut remettre au propre l'échelle des sanctions en cas d'abus.

### Zone crans et wiki

Le kludge actuel ne semble plus fonctionner. A priori, il est possible
d'obtenir le même résultat proprement en écrivant un module d'authentification
Moinmoin
http://moinmo.in/HelpOnAuthentication
Vincent veut bien jeter un oeil. Lucas aussi.

### Install Party, mise en ligne des vidéo

Les fichiers audios des confs sont sur le site de l'install
party (mp3 mono 32kbps).
Qu'est ce qu'on fait avec les vidéos ?
L'idée était de faire un gros carré avec les slides, un petit avec la vidéo et
le son.

### Une machine pour les apprentis

Le domu pour les apprentis a été créé.
Une formation pour se connecter au serveur est donnée en direct par Valentin.
