# Réunion du Collège Technique

* Date : Jeudi 03 Octobre 2013
* Lieu : Pavillon des Jardin
* Début : 19h07
* Fin : 19h57

## Présents

* Daniel Stan
* Lucas Serrano
* Pauline Pommeret
* Thomas Espitau
* Valentin Samir
* Vincent Le Gallic

## Ordre du jour

### Programmation WiFi

Daniel veut fixer une date pour les bornes du C : il n'y a qu'a resertir les
câbles.
Il serait de bon ton de changer en même temps le switch du 5C (bac-4) sur lequel
sont branchées les bornes.

On programme ça samedi en début d'après-midi (après le petit déjeuner).

### Projecteur

Pour la tenue de ses réunions hebdomadaires, le Crans aurait besoin d'un vidéo
projecteur.
Il serait aussi utile pour les petites conférences exceptionnelles.

Le collège technique estime qu'une résolution supérieure ou égale à de l'HD
ready (1080x720) serait une bonne chose.

Comme il s'agit d'un projecteur pour utiliser en environnement lumineux (pas
dans le noir pour regarder un film), il faut que sa luminosité soit suffisante.

Il faut un contraste suffisant pour voir les couleur du fond de gobby. (Assez
violent à mon goût à avoir quand même).

Avoir une connectique VGA et HDMI.

Diode VS lampe : la première a une durée de vie bien plus grande (au
moins 10 fois plus) mais ''a priori'' une luminosité plus faible.
Daniel demande s'il faudrait également acheter un écran
portatif (entre 60 et 160€).

### Système de paiement

Actuellement l'adhésion se fait par année scolaire.
Valentin propose des (ré)adhésions par année glissante.
Cela permettra d'éviter les gros rushs de réadhésion à la rentrée.

Vincent rappelle qu'il faut scripter l'envoi de mails. Valentin dit qu'il faut
ajouter un champ avec la date d'adhésion/réadhésion (et laisser un mois pour la
carte d'étudiant).

Une fois implémentée, cette solution pourra être proposée au CA (et soumise à
validation).

## Question diverses

### Cranspasswords

Vincent n'était pas là lors de la dernière internounou.
Il n'a pas grand chose à ajouter.

* Pour ce qui est des détails techniques d'un point de vue {{{git}}}, il faut
  soit se placer sur la branche {{{0.1}}} et ne plus se soucier de rien (le
  serveur sur {{{vert}}} est en {{{0.1}}}), soit rester sur {{{master}}} mais
  être prêt à ''puller'' les mises à jour quand il y en a. Le serveur
  sur {{{ovh}}} est sur {{{master}}} (mais en readonly).

. Pour le faire marcher, on peut maintenant utiliser le
Makefile (sur {{{master}}}). {{{make install}}} pour installer le client. Ça a
pour effet de :

* mettre de la conf dans {{{~/.config/cranspasswords}}}
* installer le script {{{cranspasswords}}} dans {{{~/bin}}}, qu'il faut donc
  avoir dans son {{{$PATH}}}

. La vérification de confiance et d'expiration des clés est implémentée, et il
propose même d'ignorer une clé au moment où on chiffre si elle pose problème.

### Matériel séminaire

On se propose d'enregistrer et de filmer les séminaires.

Pour cela, on demande un micro-cravate, Valentin en trouve 4 + récepteurs
à 200€, cela semble honnête (sonovente.com), en promotion.

Une caméra serait également pratique, une discussion va être lancée sur
nounou@, il y a forcément quelqu'un de compétent (bref c'est remis à Plüthaar).
