# Réunion du Collège Technique

* Date : Jeudi 20 novembre 2014
* Lieu : Pavillon Des Jardins
* Début : 19h16
* Fin : 20h21

## Présents

* Daniel Stan
* Gabriel Detraz
* Pierre-Elliott Bécue
* Nicolas Dandrimont
* Raphaël-David Lasseri
* Thomas Epalle
* Vincent Le Gallic

## Ordre du jour

### Récapitulatif du matériel vacant

L'association grifon nous a contacté le 17/11/2014 afin de savoir si elle
pouvait récupérer une partie de notre
matériel réseau inutilisé à savoir 2~3 switchs procurve et un serveur (un vieux
dell). PE avait soulevé le
problème de turn-over sur le matériel. Il voulait aussi conserver un serveur
pour faire des tests.

Au niveau serveur, on a 4 (ou 5?) serveurs dell sous les bras, on peut
facilement s'en débarrasser d'un.

Pour les switchs, tous nos spares sont faulty, il faut faire jouer la garantie,
remplacer les faulty présents dans
les bâtiments, puis refaire jouer la garantie. On aurait alors 5 switchs
hp "neufs", il faut faire un inventaire
complet d'abord, mais sur le principe nous sommes d'accord pour céder deux
switchs (un 26 ports et un 48 ?).

Il faudra en profiter aussi profiter du changement d'un switch pour passer
l'aspirateur dans le local et
ainsi éviter que les switchs s'encrassent trop vite (c'est a priori le problème
actuel.)

### WiFi

#### Mise à jour vers BB

Gabriel, Lucas et Daniel ont commencé à adapter les modifications Crans sur la
nouvelle version
d'!OpenWrt.

* Nouvelle clé ssh (sur fy, /etc/crans/secrets/ parce que /usr/scripts/gestion
  c'était nul)
* Vlan dynamiques : ça buggue toujours autant (à investiguer)
* Management en Ipv6

Pour ce dernier point, on a créé un préfixe (ULA), un slash d'ip locale
probablement globalement
unique: fd:a8:5d34:a228/48, annoncé par odlyd.

Détails :

* fd : préfixe pour les IPs "ULA"
* a8:5d34:a228 : tiré aléatoirement une fois pour ce réseau WiFi
* c04 : mid de la machine qui route (3074 = odlyd.wifi), pour suivre la même
  convention que nos /48 publics.
 -> ça donne un /64 dans lequel sont toutes les bornes (et les machines Wifi,
  par effet de bord. Elle s'en servent pas, vu qu'elles savent qu'il n'y a pas
  Internet derrière).

Les bornes et machines prennent une IP supplémentaire dans ce /64. Pour les
services, on a une IP canonique
pour éviter de changer la configuration en cas de changement de machine.

* eap: fda8:5d34:a228:c04:7261:6469:7573:3031 (les 64 derniers bits
  codent "radius01")
* pea: fda8:5d34:a228:c04:7261:6469:7573:3032 ("radius02")
* thot:  fda8:5d34:a228:c04:7379:736c:6f67:3031 ("syslog01")

Il y a des prob avec syslog qui marche de temps en temps (pour l'envoi vers
thot), tester avec rsyslog. Il
reste à faire des tests, bcfg2 sur les serveurs, firewall v6.

#### Nouvelles bornes

Les uap pro sont en test, pour l'instant, il se passe des trucs étranges avec
openwrt.
(pertes de paquets ? load balancing foireux entre les deux fréquences ?)

Ràs sur les unifi standard, sinon les couleurs des leds qui
changent (inacceptable !)

#### Point sur les bornes du d'Alembert

On a notre réponse: deux bornes brassées sur notre switch (dlink) au d'Alembert
centre. Il faut envisager
de remplacer le dlink par un manageable. On verra pour les demandes de
couverture en particulier,
à part le Villon (Point rencontre, etc), on n'a peu de (aucune ?) demandes.

#### Pont(s)

(Côté administratif, la déclaration du Crans en tant qu'opérateur a bien été
reçue.)
Les intéressés ne sont pas présents. Un mail a été envoyé à la STL pour aller
inspecter les anciennes bornes
du toit du d'Alembert (vers Arpej). Pas de nouvelles pour l'instant.

#### Management ssh

Raphaël propose à des apprentis de recoder des bouts de wifi_new avec une lib
ssh : paramiko voir
fabric. Avis aux volontaires.

#### Freeradius et mdp custom

Il serait possible d'enregistrer un mdp radius différent sur chaque borne. Il
faudrait coder une
authentification particulière sur freeradius pour cela. Daniel voit comment
faire cela, mais il recrute
un apprenti pour le faire (buzzwords: python, ldap, freeradius).

### Rabbit Mq (manger du lapin nuit-il au développement du râble ?)

[interlude explicative]
On réfléchit à une manière d'implanter les dépendances sur les services.

Idée : faire un séminaire pour expliquer AMQP dans le détail puis discuter de
notre utilisation au Crans.

### Prochains séminaires

https://wiki.crans.org/CransTechnique/CransApprentis/SeminairesTechniques/2014-2015

On a booké les séminaires de la semaine prochaine et de la suivante. Avis pour
la suite, PE veut bien parler d'AMQP.

### OwnCloud

Php (module pgsql ?) n'aime pas l'ipv6. Il va plus vite maintenant.

### Questions diverses

#### Réservation salles

On s'est aperçus ce soir que notre réservation du PdJ le jeudi soir n'est plus
d'actualité.
Peut-être que quand le CA est passé le Vendredi soir, la réservation du jeudi a
été totalement dropée ?
Il faut voir ça avec la responsable ENS, histoire qu'on se le fasse pas piquer.
On fouette le CA.
