# Réunion du Collège Technique

* Date : 22/11/17
* Lieu : 5A
* Début : 19h06
* Fin : 21h17
* <<Pad>>

## Présents

* Gabriel Détraz
* Maxime Bombar
* Martin Bauw
* Gabriel Le Bouder
* Rémi Oudin
* Michael Paulon
* Benjamin Graillot
* Charlie Jacomme
* Hamza Dely
* Nicolas Gasnier

## Starring

* PEB

## Ordre du jour

### Signature du contrat pour la fibre

Le contrat est signé, vive le contrat !

### Onduleur is tired

On avait dit il y a un moment qu'on laissait l'onduleur dans son état actuel,
i.e.
qu'on ne changeait pas ses batteries ni ne prolongeait sa garantie. Ça commence
à faire un petit moment, il est temps de resoulever la question.

On décide de faire une demande de devis pour renouveler l'onduleur. On va faire
des demandes pour des intensités de sortie de 2kVA, 2.5kVA et 3kVA. On garde
45 minutes d'autonomie.

### Renouvellements garantie

Fz et thot arrivent au bout, est-ce qu'on prolonge ?
Pour FZ on ne renouvelle pas.
Pour Thot on avait déja validé à la dernière IN, on envoie ça au vote du CA.

### Fy ou "De l'art de la PLS"

Ce bon vieux Fy commence à avoir du mal avec le monitoring, il faudra peut être
revoir la façon dont on gère le monitoring et/ou penser à déléguer certaines
taches
à des VMs. (ça éviterai aussi de perdre tout le monitoring quand Fy plante)

Finalement, il semblerait que Fy ne soit pas tant que cela en PLS, nous passons
donc au point suivant.

### La nouvelle fibre is coming

Il faudrait réfléchir au plan d'attaque pour quand la fibre sera là, dans les
grands lignes au moins.

Chirac s'occupe de la partie administrative et pose de la fibre.

Ce qui a été fait :

- rendez-vous avec le responsable patrimoine Crous
- prise de contact avec la mairie

Ce qu'il reste à faire :

- déterminer le point d'entrée de la nouvelle fibre et le point de raccordement
  à l'infra actuelle
    -> 0B

- si c'est le 0B, investir dans un module 10 gig fibre ou cuivre suivant ce que
  le routeur juniper délivrera.
 -> oui, il faudra un module 10Giga pour le backbone. Il faut se renseigner sur
  la connectique du provider.
- idem avec la carte réseau d'odlyd et de sable

 -> cf au dessus
- planifier le déploiement de nouveaux vlans etc d'abord pour du test, en lien
  avec re2o ?
 -> re2o est en phase de tests, on va pas prévoir de l'utiliser dès maintenant.
- suggestion, basculer le wifi federez sur la nouvelle fibre assez
  rapidement (facile à faire, indépendant de lc_ldap et de la bdd crans
  actuelle)
 -> On pourrait potentiellement switcher tous le wifi.

Suite à des problèmes de configuration de Munin, on a pas la proprtion de BP
utilisé pour le filaire vs le wifi. Il faut fixe la conf, pour avoir des stats
sur l'utilisation en BP du wifi.

Selon, il faudrait voir si c'est pertinent de mettre dans un premier temps
uniquement les machines wifi sur la nouvelle fibre.

- envisager le système de nat à mettre en place en ipv4, proposition : nat par
  plage de 1000 ports sur ip publique par ip privée derrière; ce qui donne au
  maximum 65000 ip privée (on a de quoi faire)
 -> Comme premier plan, si c'est pertinent vis a vis de la BP

Remarque générale : est-ce que ça relance l'idée du miroir debian  commun avec
l'ENS, car cela libère l'utilisation de la fibre principale.

### Re2o

Concernant la période d'essai re2o, il faudrait qu'on se fixe quelques petites
tâches à faire dessus pour avancer.

Ce qui a été fait côté projet :

- réunion de cadrage, le CR a été envoyé sur nounous des principaux dev
- projet migré sur le gitlab de federez, avec de la CI. De nouveaux dev se sont
  rajoutés.
- politique de review obligatoire par un set de dev avant merge de nouveaux
  commits sur master

Ce qui a été fait coté Crans :

- mise en place d'une instance de test sur re2o-server et re2o-ldap
- tests de migration de la bdd (à peu près 70%) des données, manquant encore
  l'historique

Ce qui reste à faire :

- auditer les manques fonctionnels de re2o pour le crans
- envisager des améliorations et les classer par ordre de priorité, de
  l'important lié au fonctionnel au cosmétique non prioritaire

Après beaucoup de discussion autour de re2o, de l'option de faire évoluer
l'infra et de l'avenir du crans en générale, 3 questions ont été posé aux
présents.
4 sont pour bosser sur re2o en collaborant avec tous les campus
1 est pour avoir au final au crans un fork re2o
7 sont pour evolution de l'infra actuelle

Conclusion : On laisse tomber la période d'essai re2o, on lance l'évolution à
fond.

Premier objectifs faisable sans trop discuter :

* brûler ldap_crans (cf code review pour guiness)
* Documenter ce qui ne l'est pas

### Switchs

Chirac a demandé à Anne une cotation pour 20 switchs soit 2530-48G
soit 2930-48G, pour éradiquer les 2650 qu'il reste (16). Il espère avoir des
résultats pour l'IN.

Possibilité 1 : commande de 20 nouveaux switchs 2530-48G ou 2930-48G

Possibilité 2 :  plus économique, racheter les 2910-al de ex supelec rezo.
Avantage, ils valent 100-200 euros à l'argus, sont garantis à vie, et vu qu'on
a déjà pas mal de 2910-al, cela garde la cohérence dans les différents modèles
qu'on a.

Problème, ils n'en ont que 9 - 48 ports donc il faudra compléter avec des neufs.

On demande au CA d'acheter 16 switchs 2530-48G, pour environ 14k€

### Politique de modification des comptes

Fardale avait envoyé un mail sur le sujet qui a soulevé quelques réactions mais
ce n'est pas allé plus loin. Il faudrait finir de répondre à cette question.
(Si je n'ai pas le temps de développer ce point il pourra être ignoré)

#> Ce genre de modifications semble engager d'un point de vue légal le CA. On
propose que le CA voit en premier et décide du concept, le CT dira si c'est
possible ou non.

### Internet aux SDA

Il faut répondre à Olympio sur la question d'internet au SDA. Je pense que
c'est un oui, mais vu qu'il y a une IN autant que ça soit validé par tous.

#> Charlie présent, mais potentiellement occupé. Bernie est potentiellement
disponible, mais ne peut s'engager tout de suite. Des peut-êtres du côté de
Pollion, Boudy, Mikachu.

Bref, on dit oui.

### Discourse

Nous décidons à l'unanimité de dire au revoir à Discourse, qui n'aura pas su
s’implanter avec succès sur le campus.

Attention, il faut faire un back-up !

### Cake

There will be a cake. I swear !
##The Cake is a lie

Il n'y a finalement pas eu de gateau, le RTC est un vil menteur.
Par contre, bienvenue à Boudy, Blupon et Pollion parmis les nounous !!!
