<<TableOfContents>>

# Réunion du Collège Technique

* Date : 21 décembre 2020
* Début : 17:17
* Fin : 18h58
* Lieu : En visio et à la Kolok
* <<Pad>>
* Jitsi :  https://jitsi.crans.org/Lundi21Decembre2020

Présents:

* erdnaxe
* shirenn
* PAC
* Pollion
* Mikachu
* Solal
* Ÿnerant
* esum

On a un peu avancé, mais c'est vrai que les confinements ne nous ont pas trop
fait de cadeau.

## Planification de la migration

### Mise en place des vms de routage

* Pare-feu (nftables) --> Le parefeu marche. Il faut faire la migration de re2o
  ou mettre une patte à re2o sur la nouvelle infra.

Pour faciliter la migration, on va commencer par mettre une patte à re2o sur la
nouvelle infra, et on va commencer par migrer les machines avec ip publique.
Il faut passer sur master sur le script de génération du parefeu, afin de
parler à re2o, et rajouter une ligne pour le hack sur la proxy ARP.
Il faut aussi mettre en place rsyslog. On discute de où on met les logs.
On va les mettre sur tealc dans une pool /pool/logs.
Il faut donc adapter le role rsyslogd et logrotate.

* La question de l'ipv6, comment ça marche actuellement sur la nouvelle
  infra (@Esum)

tout marche bien c'est cool. Il y a juste un bridge entre ipv6-zayo et
routeur-sam, avec un vlan spécifique pour l'interco.  Mais c'est du hack
temporaire, ça sautera à la fin de la migration.

### radius

Le radius marche, il faut juste mettre en place rsyslog.

### dhcp

Il est en place,  on vérifie quand même que ça marche, mais de mémoire cet été
c'était le cas. Il faut juste faire attention à ne pas utiliser dhcp-failover
car ça ne supporte que 2 serveurs et nous on en veut 3.

### dns recursif

Ok
dns autoritaire https://gitlab.crans.org/nounous/dns
Parfait

### Migration des dernières vm

* IRC --> On propose de DU zamok vers bullseye, comme ça on aura un serveur des
  adhérents à jour et erdnaxe sera content.
* Rezosup (@Mika et @Esum) --> Ils vont migrer cette vm bientôt, et ça ira très
  bien.
* Bde et Gala (@Pollion, @nanaxe et @Vulcain) --> Gala c'est fait, il faudra
  juste rechanger l'interface quand on aura migré les IP publiques adhérents.
  Pour le Bde, bah Pollion a laissé jusqu'au 26 décembre au BdE pour faire
  quelque chose de cette VM. Pac et Ynerant s'en occupent. On propose d'offrir
  un dump de la vm note sur une clé usb crans à 20-100.
* Matrix-eea (@nanaxe, @PAC) --> erdnaxe la brule mais avant : backup !
* Redisdead, owncloud, owl --> redisdead change d'infra mais garde une pate sur
  l'ancienne. Profiter de l'Interruption de Service ou alors commencer par
  finir d'installer sputnik.
   * Mikachu veut se taper une chouette ce soir.
   * Pour owncloud et owl, on peut les installer sur une vm sur la nouvelle
     infra et faire des tests avec Cameron (la baie des homes), en écrivant un
     role pour owl, car c'est pas encore fait. Mais il faut attendre la
     migration finale pour passer ça en prod.
* Sauvegarder tout le reste (dans une pool sur Zephir ?)
   * On va faire une pool cimetière. RIP les vieilles vms.

### Migration de zamok

On va le DU vers bullseye.
On va rajouter des disques dans Zamok dans l'objectif d'héberger des petites
images podman, pour un futur projet.

## Plan de la migration

1. Migration des home:
Il faut prévoir une interruption de services.
Il faut :

* Être certain que les services qui parlent aux home tournent : En gros
  owncloud et owl, + le nouveau serveur irc.
* DU Zamok vers bullseye.
* Refaire un rsync des home, mais ça devrait aller assez vite.
* Et finir de setup le nfs sur zamok.

2. Migration du réseau.

* Il faut migrer les switches. Ça veut globalement dire appliquer le script le
  Mikachu.
* Il faut migrer les bornes. Pollion et Esum ont fait des tests pour migrer une
  borne [[ https://wiki.crans.org/CransTechnique/ControleurUnifi#Changement_de_controleur | c'est facile ]].

En bonus, on a testé avec un controlleur unifi sur buster.

Par contre ce qu'on dit c'est que cette migration sera faite dans un second
temps.

### Choix des dates

1. Migration des home, lundi 28 Décembre.
1. Migration du réseau le week-end du 2/3 janvier.

## Post-Migration

### Nettoyage de Vo et caillassage des serveurs

Backup des trucs qui trainent et stockage.

### Après la migration, la DOC et ansible

Ce serait pas mal qu'à un moment après la migration, on puisse run ansible sans
rien cassé
Écrire toute la doc et archiver la doc de l'ancienne infra

### Chiffrement des disques

On en reparle plus tard, mais il va falloir un autre rsync pour chiffrer la
pool ZFS sur cameron. Pour les backups, c'est fait avec borg.

## GATEAU !!!!

1. Le CT s'agrandit, avec l'arrivée de PAC. Bravo à lui !
1. Ce n'est pas encore tout à fait officiel (je ne veux pas laisser un crans
instable), mais Pollion va rendre les rênes du CT et shirenn a accepté de
reprendre cette charge. Merci à lui et bonne chance !
