#acl +All:read

# Réunion nounou

* Date : Samedi 21 Octobre 2023
* Lieu : 1N82 et Jitsi (https://meet.jit.si/oskour-the-crans-is-dying)
* Début : 18h10
* Fin : 19h35

## Présent⋅es

* [[WikiAplanos|Aplanos]]
* [[WikiBleizi|bleizi]]
* [[DsAc|ds-ac]]
* [[Esum|esum]]
* !GaBo
* [[WikiHachino|Hachino]]
* lzebulon
* [[VanilleNiven|Vanille]]
* !RedDiamond
* [[WikiSerenilink|Serenilink]]
* [[WikiPigeonMoelleux|Pigeon Moelleux]]

## Ordre du jour

* pb de connexion
* pb de mot de passe/clé ssh
* discussion fail2ban / crowdsec pour gitlab
* passer le màj en « je fais que les updates de sécu »
* mailman avec le module sieve (pour les filtres mails)
* Projets apprentis:
   * WG : permettre aux gens de se faire un bloc de config de WG
   * Galène : front-end pour parler LDAP : autoriser la création de
     groupes "frais" (la personne créant le groupe est "créateurice" et peut
     supprimer le groupe, modif les options, ...)
* [ds-ac] Questions aux nixien·nes :
   * y a-t-il un équivalent à "guix deploy" dans nix, et est-ce qu'on a une
     chance de l'intégrer avec Proxmox ? Si oui, est-ce que unattended-upgrades
     est impacté ?
   * comment étendre Nix, au sens définir des fonctions maison, qui peuvent
     être impures (e.g. pour lookup dans un ldap lors du (re)déploiement d'une
     machine) ?
* [Pigeon Moelleux] BdE et Intel Unite
* [ds-ac] esum: quels changements sur IRC (réduction du spam)

## Problèmes de connexion

LE CRANS EST DOWN ! Longue vie au Cr@ns !

On timeout dans tous les sens ! Mais c'est pas notre faute !
Aurore répare le problème bientôt.

Sputnik est utilisé pour faire transiter le web (à la place de hodaur)

Mailq a été augmenté à 10 jours pour pas perdre de mails.

Activation du slow sur le postfix de mailman3

On enverra un mail all quand tout sera réglé

Revoir la communication d'erreurs

## Problèmes de mots de passe / clef SSH

Des mots de passe ont fuité sur le gitlab

Les mots de passe ont été changés par esum et shirenn

Le pass a été rechiffré plusieurs fois

## Discussion fail2ban / crowdsec pour gitlab

On demandera à Solal quand on le verra.

## Passer les MAJ en "Je fais que les updates de sécu"

Est-ce qu'on le fait ?

On attend que shirenn soit là pour en parler.

## Roundcube avec le module sieve

Demande de transformer la façon dont on gère les mails (étendre la gestion de
dovecot)

ds-ac pop un serveur mail sur test.crans.org

''Je vais l'appeler : mx47.test.crans.org''

Faire attention aux logs des tests

## Projets apprentis

### WG : permettre aux gens de se faire un bloc de config de WG

esum a un ancien petit projet en Django pour gérer du Wireguard à distance par
les adhérent⋅e⋅s

Django app

* le front-end gère la partie "qui a le droit de faire quoi?"
* subprocess -> utiliser `wg-tools` pour parler à WG

### Galène

Front-end pour parler LDAP : autoriser la création de groupes "frais" (la
personne créant le groupe est "créateurice" et peut supprimer le groupe, modif
les options, ...)

Problème : comment contrôler les accès aux salles + comment gérer les conflits
entre salles ?

Regarder avec les sous-groupes

Django app

* le front-end gère la partie "qui a le droit de faire quoi"
* modifier un LDAP d'auth pour Galène derrière

### Wiki

Connecter la Note au wiki

Qui veut faire du Python 2 ?

Aucun wiki ne correspond à nos attentes pour l'instant

Ça ne réglera aucun problème au niveau intérêt des gens pour le wiki

### Intel Unite

Refaire un Intel Unite version Crans ?

Demander le cahier des charges au préalable

Peut-être faire un hackathon ?

On va demander à Erdnaxe si ce qu'il en pense.

Si l'ENS nous demande, on va y réfléchir un peu, pour le BdE on dit non.

## Nix

### NixOS deploy

Équivalent de guix deploy : demander à aeltheos
Serveur de cache au Crans

### Utilisations de fichiers hors config

Il vaudrait mieux mettre tout dans la config nix quitte à changer un peu notre
infra

## Spam sur IRC

On n'y peut pas grand chose (et il y a genre ~1 bot par semaine).
