# Réunion IN

* Date : Dimanche 22 Septembre 2024
* Lieu : MB85 et Galène (https://galene.crans.org/group/CA)
* Début : 14h34
* Fin : 17h21

### Participant⋅es

* [[WikiAeltheos|aeltheos]]
* [[WikiChiaroush|Chiaroush]]
* DsAc
* [[WikiGabo|GaBo]]
* [[WikiHachino|Hachino]]
* [[WikiKorenstin|korenst1]]
* Louis
* Lyes
* [[WikiLzebulon|Lzebulon]]
* [[WikiPigeonMoelleux|Pigeon Moelleux]]
* [[WikiRDB|RDB]]
* rigobert9
* Sergey
* Shinigami

### Ordre du jour

* [Lzebulon] Présentation rapide de l'infrastructure pour les nouvelleaux
* [Lzebulon] Point sur l'avancement de la chronologie définie à la précédente IN
* [ds-ac] Discussion Cybermois 2024 ou 2025
* [Gabo]Organisation des Journée Federez
* [ds-ac + Pigeon] discussion documentation
* [ds-ac] relancer la discussion "serveur mail utilisable" vs. "arrêter les
  spams et opérations de phishing"
* [bleizi + aeltheos] Imprimante
* [Pigeon] Problèmes disques
* [Lzebulon] coupure des vacances de la Toussaint
* [Pigeon] Vaultwarden
* [ds-ac] proposition de modif séminaire : LaTeX + Typst + Texinfo

## Présentation rapide de l'infrastructure pour les nouvelleaux

Rapide présentation de l'infrastructure.

Récapitulatif de ce qui a été présenté :

Le crans est un fournisseur de services.
Il occupe 2 salles : MB87 et SQ39 -> salle des serveurs

Baie de serveurs :

* serveur photos
* serveurs au crans
* partie louée à serv[ens]

Les serveurs du crans :

* cephirot (qui est actuellement pété)
* thot (qui est actuellement pété)
* cameron
* baie d'hyperviseurs (sam/daniel/jack (adm) et stytch/gulp/olvyd(pété) (adh))
* zamok

Présentation de ssh (et zamok)

Serveur PAS à l'ens :

* à OVH
* à viarezo (routeur-ft)

## Récupération de serveur à Paris

[[WikiAeltheos|aeltheos]] ou [[WikiLzebulon|Lzebulon]] demande les specs avant
de prendre une décision lors de la prochaine IN.

## point sur l'avancement de la chronologie définie à la précédente IN

* les backups refonctionnent (et en particulier à Viarezo remarche)
* Intégration : Succès
* Onlyoffice : déployé mais on veut changer pour collabora
* avancée de l'imprimante : Il semble qu'il y ait un switch (telco-sw-1) entre
  les serveurs et la DSI. La DSI donne probablement les bons vlans à ce switch.
  Mais le switch nous donne lui uniquement 2751 (renater) en UNTAG. Il faut
  voir avec la DSI pour configurer ce switch.
* cephiroth : Il faut acheter un nouveau contrôleur
  SAS (cf [[/Dimanche22Septembre2024CA | CA]])

## Discussion Cybermois 2024 ou 2025

Proposer des événements de sensibilisation à la cyber sécurité ou à la bonne
gestion des outils informatiques (pour tous⋅tes)

L’évènement a lieu en octobre.

2024 -> c'est un peu court

2025 -> c'est possible

L'événement pourrait être ouvert au personne extérieur. Il faudra demander à
l'ENS.

On peut enregistrer des événements qui sont partout en France.
L'organisation sera à voir avec le nouveau bureau...

Il faudra prévoir d'inviter des intervenant⋅es. Potentiellement demander à la
présidente de l'April.

On peut organiser des conférences, jeux, ateliers bref tout est possible.

On peut demander à l'ENS pour valider de la diffusion des savoirs.

## Organiser les journées federez

Il faudrait trouver des logements et c'est compliqué, ou alors demander de
l'aide de viarezo

L'idée a été abandonnée.

## Discussion documentation

Rappel : Documentation imprécise et lacunaire. Donc projet de refonte de la
documentation.

#> v2 de la doc https://gitlab.crans.org/nounous/documentation/

Proposition de ds-ac :

* faire une grosse page de documentation avec des cross reférences (possibilité
  de faire plusieurs fichiers mais les cross références sont meilleures
  lorsqu'il y a tout dans le même fichiers).
* c'est du .texi (Texinfo)
* génération d'une table des matières
* différent de markdown mais pas plus compliqué
* possibilité de faire des références vers d'autres manuels

ds-ac va créer une autre branche avec la documentation en texi

But documentation : lisible avec bat, cat, less

PigeonMoelleux propose la création d'une documentation à destination des
utilisateur⋅ices pour expliquer par exemple comment synchroniser des
calendriers, connecter sont compte crans avec thunderbird.
Proposition d'utiliser mdmux pour cela.

Pour de la doc jolie :

Proposition pour faire un wiki comme Aurore (https://wiki.auro.re/fr/tech)

autre proposition de ds-ac -> quarto

Licence Creative Commons ou BY-NC-SA (peut être sans NC)

## relancer la discussion "serveur mail utilisable" vs. "arrêter les spams et
opérations de phishing"

Le serveur mail du crans c'est une passoire à spam
ds-ac propose d'être plus restrictif en applicant les conditions de google

Est-ce qu'on devient plus restrictif ? (typiquement les mails qui sont de nous
à nous même)

drop les mails ou créer un dossier spam :

* dossier spam est plus difficile à mettre en spam
* soit taggé

il faudra annoncer au gens⋅tes que les mails sont potentiellement frauduleux.

Lyes et ds-ac vont s'en occuper.

## Problèmes disques

Jack a été changé

Tealc ne râle plus depuis qu'aeltheos s'en occuper
On a encore des erreurs smartctl et des pools zfs bloquées

Gabo va incessamment sous peu acheter des disques de secours et un contrôleur
SAS.

* achat de câble de SATA
* acheter qch qui peut faire du SAS

## coupure des vacances de la toussaint

Tealc ne va pas bien, les serveurs n'ont pas été redémarrés pendant l'été et le
câble management est vraiment à refaire...
Il faut redémarrer les serveur soit couper le crans pendant 2 jours

## Vaultwarden

De nombreuses personne demandent si le crans propose des gestionnaires de mots
de passe.
Bitwarden et Vaultwarden sont les deux self-hostés.
Héberger cela pose des question de sécurité...

* Le crans deviendrait une source plus intéressantes d'attaque
* Si on le fait, on ne fait pas de récupération et on a un audit (non officiel)
* Si une personne perd son master password, elle ne pourra pas récupérer ses
  mdp, et on le dit clairement

Le crans va l'implémenter avec nixos / ansible

## Proposition de modification des séminaires : LaTeX+Typst+Texinfo / ajouter
séminaire QUIC?

Il y a déjà séminaire LaTeX et Typst
ds-ac propose de faire un séminaire texinfo (en séminaire interne)
ds-ac propose aussi de faire (ou d'encadrer) un séminaire QUIC (au second
semestre)
